0.6.22
======
 * build system updates
    o make install and install-devel work correctly     (Pawel Kot)
    o xgnokii.pc should be installed with install-devel (Pawel Kot)
    o add MS Visual C++ 2008 project files            (Jari Turkia)
 * at driver updates
    o make CNMI mode argument configurable in at_driver_instance
                                                        (Pawel Kot)
    o don't fallback to default memory type if desired one is not
      available                                    (Bastien Nocera)
    o new specific driver for Motorola             (Bastien Nocera)
 * xgnokii updates
    o change the way phonebooks entries are deleted (closes
      https://savannah.nongnu.org/bugs/?20816)      (Daniele Forsi)
    o make sure it didn't copy subentries from previously read
      phonebook entry                               (Daniele Forsi)
    o fix moving phonebook entries from SIM to phone and vice versa
      (closes https://savannah.nongnu.org/bugs/?21580)
                                                    (Daniele Forsi)
    o when a phonebook entry is successfully saved or deleted do
      not process it again                          (Daniele Forsi)
    o do not let the user write phonebook names longer than the
      space allocated by libgnokii                  (Daniele Forsi)
 * link layer updates
    o reset link layer status when resending message    (Pawel Kot)
    o extend buffer for the reply as a workaround for libusb
      problem                                           (Pawel Kot)
    o improve DKU-5 initialization again              (Jari Turkia)
 * libgnokii updates
    o export delivery report status as enum, not only text
                                                   (Bastien Nocera)
    o use businessCategory for caller group number when exporting
      and importing phonebook entries in LDIF format (instead of
      businessGroup and callerGroup)     (Pawel Kot, Daniele Forsi)
    o add function to return connection name            (Pawel Kot)
    o make gn_gsm_initialise() print the "phone instance config" in
      a format that can be copied into gnokiirc     (Daniele Forsi)
 * nk6510 driver updates
    o don't free driver instance too early (Jari Turkia, Pawel Kot)

0.6.21
======
 * xgnokii updates
    o update xgnokii desktop file                       (Pawel Kot)
    o reading contacts from phone would miss the last entries if
      phonebook contained holes (see gnokii fix for --getphonebook
      below)                                        (Daniele Forsi)
    o importing contacts from file now replaces entries with the
      same location number leaving the others untouched (in prior
      versions the others were deleted)             (Daniele Forsi)
    o replace sprintfs() with snprintfs()               (Pawel Kot)
 * link layer updates
    o improve DKU-5 initialization stage                (Pawel Kot)
    o be careful with return value from read()          (Pawel Kot)
 * at driver updates
    o return an error from at_memory_type_set() when a phonebook
      memory type supported by libgnokii isn't supported by the
      phone's AT+CPBS= command                      (Daniele Forsi)
    o avoid memory corruption due to too small buffer with getsms
      and delete sms after incoming sms notification
      (http://bugzilla.gnome.org/show_bug.cgi?id=487809)
                                                        (Pawel Kot)
 * build system updates
    o change location of gnapplet.sis                   (Pawel Kot)
    o configure.in and makefiles simplification     (Daniele Forsi)
    o install gnokii.pc with install-devel and not install target
                                                        (Pawel Kot)
 * libgnokii updates
    o new error code GN_ERR_ASYNC                       (Pawel Kot)
    o add support for async way of send_sms()           (Pawel Kot)
    o add ids for Nokia 6030                         (Rishi Pathak)
    o add ids for Nokia 3110 classic            (Jens Wilhelm Wulf)
    o replace sprintfs() and strcpys() with snprintfs   (Pawel Kot,
                                                    Bastien Nocera)
    o return an error when trying to read from file more phonebook
      subentries than the space allocated           (Daniele Forsi)
 * gnapplet driver updates
    o add support for setactiveprofile             (BORBELY Zoltan)
 * gnokii updates
    o fix --getphonebook not reading the last entries in two cases
      when some entries before those meant to be read were empty
      and make it fail on more errors (empty or invalid locations
      are still handled like in previous versions)  (Daniele Forsi)
    o replace sprintfs() and strcpys() with snprintfs() (Pawel Kot)
 * translation updates
    o new Portugal translation                        (Pedro Silva)
 * device layer updates
    o make BlueZ connection non blocking on read()      (Pawel Kot)

0.6.20
======
 * libgnokii updates
    o add support for Nokia 6070 and 2630               (Pawel Kot)
    o add a driver for PC/SC SIM card readers using libpcsclite;
      see Docs/README-PCSC for details              (Daniele Forsi)
    o add two new phonebook memory types: SD for "Service Dialing
      Numbers" and BD for "Barred Dialing Numbers" (not all SIM
      cards provide them and currently only the pcsc driver
      supports them)                                (Daniele Forsi)
    o improve error messages while parsing config file  (Pawel Kot)
    o enhance error handling for parsing config         (Pawel Kot)
    o remove gn_file_text_save() from API               (Pawel Kot)
    o remove getline() replacement from compat.c    (Daniele Forsi)
    o add gn_sms2mbox() function that converts SMS to mbox
      compliant format                                  (Pawel Kot)
    o add sanity checking for fwrite()/write() calls    (Pawel Kot)
    o make incoming buffer size for atbus link driver dynamically
      allocatable (was fixed size)                      (Pawel Kot)
    o prevent strip_slashes() from stripping non-slashes
                                                        (Pawel Kot)
 * build system updates
    o add FAQ, KNOWN_BUGS and README-DKU2 to the list of files
      installed with "make install-docs" and remove
      gnokii-hackers-howto, gettext-howto and packaging-howto from
      that list                                     (Daniele Forsi)
    o simplify Makefiles, remove obsolete targets       (Pawel Kot)
    o don't fail on parallel builds                 (Daniele Forsi)
    o fix compilation warnings           (Pawel Kot, Daniele Forsi)
    o use standard paths for docdir and localedir       (Pawel Kot)
 * gnokii updates
    o add error handling for security commands          (Pawel Kot)
    o getprofile requires ringtone_list being allocated (Pawel Kot)
    o replace gn_file_text_save() with local writefile()
                                                        (Pawel Kot)
    o add getline() replacement to gnokii-utils.c   (Daniele Forsi)
    o gnokii --getsms new --append-file/-a switch to append SMS
      to an existing file                               (Pawel Kot)
    o gnokii --getsms -f/-F/-a use now mbox compliant format for
      stored sms, all sms read are stored in the same file
                                                        (Pawel Kot)
    o write more messages to stderr; the rule is that diagnostics
      indicating success or failure go to stderr, while information
      read from the phone goes to stdout            (Daniele Forsi)
    o add sanity checking for fwrite()/write() calls    (Pawel Kot)
 * at driver updates
    o fix buffer size calculating in AT_WritePhonebook
                                                      (Daniel Burr)
    o fix SMS-SUBMIT parsing                            (Pawel Kot)
    o calculate phonebook size for SonyEricsson: they don't answer
      with memory stats to AT+CPBS, calculate it by reading and
      counting entries (which is fast)                  (Pawel Kot)
    o fix SetDateTime for Sony Ericsson, which requires timezone
      to be added                                       (Pawel Kot)
 * documentation updates
    o update Docs/protocol/nk6110.txt with another error code for
      "Get code status err"                         (Daniele Forsi)
 * nk6100 driver updates
    o add error code GN_ERR_SIMPROBLEM for --changesecuritycode
                                                    (Daniele Forsi)
 * xgnokii updates
    o when exporting the phonebook to a file in raw format handle
      backslashes as escapes like in gnokii --getphonebook (closes
      https://savannah.nongnu.org/bugs/?20815)      (Daniele Forsi)
 * link layer updates
    o make DKU-5 connection initialisation working again
                                                        (Pawel Kot)
 * translation updates
    o updated Italian translation and fixed Content-Type to match
      actual encoding of text which was UTF-8       (Daniele Forsi)

0.6.19
======
 * libgnokii updates
    o match declaration with definition                 (Pawel Kot)
    o fix base64 encoding (closes
    https://bugzilla.altlinux.org/show_bug.cgi?id=9994) (Pawel Kot)
    o read reference id from send sms reply and from delivery
      report                                            (Pawel Kot)
    o in gn_phonebook2ldif() output homePostalAddress when it isn't
      in a subentry (fixes https://savannah.nongnu.org/bugs/?19963)
                                                    (Daniele Forsi)
    o fix some typos                                (Daniele Forsi)
    o minor code cleanup in unixserial.c            (Daniele Forsi)
    o some phones allow SMS location 0                    (El Chef)
 * build system updates
    o define u_int8_t where not present                 (Pawel Kot)
    o include sys/time.h from gnokii.h also when compiling under
      cygwin (closes https://savannah.nongnu.org/patch/?5656)
                                                    (Daniele Forsi)
    o don't allow empty '-L' argument with Xlibs (closes
      http://bugs.gentoo.org/show_bug.cgi?id=188362)  (Alin Nastac)
 * gnokii updates
    o fix getallfiles                               (Richard Lewis)
    o return non-zero error code when writephonebook fails (closes
      https://savannah.nongnu.org/bugs/index.php?20817) (Pawel Kot)
    o initialize networkinfo structure for --getnetworkinfo   (jra)
 * xgnokii changes
    o try to avoid xgnokii freeze on exit for blacklisted phones;
      this is not a fix, just nasty workaround (closes
      https://savannah.nongnu.org/bugs/index.php?20841  (Pawel Kot)
 * nk6510 driver updates
    o fix segfault for sendsms                          (Pawel Kot)
 * nk6100 driver updates
    o do not segfault when using --getsmsreader (closes
      http://savannah.nongnu.org/patch/?6189)                (Sami)
 * atgen driver updates
    o Sony Ericsson phones can't do CREG=2 (only CREG=1), so just
      skip that and only do COPS in getnetworkinfo            (jra)

0.6.18
======
 * documentation updates
    o add sample gnokiirc for windows                 (Jari Turkia)
    o update Docs/protocol/nk6110.txt with some details about the
      warranty screens data                         (Daniele Forsi)
 * at driver updates
    o mark SMS messages as read/unread/sent/unsent where possible
                                                   (Bastien Nocera)
    o fix battery level reading                    (Bastien Nocera)
    o add support for call notifications           (Bastien Nocera)
    o add support for getActiveCalls               (Bastien Nocera)
    o fix sms outbox reading                    (Clemens Fruhwirth)
    o don't segfault if data->battery_unit is not allocated
                                                   (Bastien Nocera)
    o add support for SMS notifications (Bastien Nocera, Pawel Kot)
    o fix in unsolicited messages handling              (Pawel Kot)
    o make SMS notifications more portable and move specific Nokia
      stuff to atnok.c                                  (Pawel Kot)
 * libgnokii updates
    o add void *callback_data argument to callbacks
                                        (Bastien Nocera, Pawel Kot)
    o use GN_CALL_MAX_PARALLEL instead of hardcode (Bastien Nocera)
    o add more sanity checks for sms reading       (Bastien Nocera)
    o extend cell broadcast callback with gn_statemachine
      argument                                          (Pawel Kot)
    o fix splitting long messages                  (Robert Gerlach)
    o add support for occurrences field in calendar (Keith Packard)
    o add function for checking available connection types
                                                        (Pawel Kot)
    o fix memory leak in gn_sms_send() when sms_prepare() fails
      (found by valgrind) and pass on more return values from
      encode/decode functions                       (Daniele Forsi)
    o fix error message for "debug" option in gnokiirc: supported
      values have always been "off" and "on" (Carles Pina i Estany)
 * nk6510 driver updates
    o add support for incoming sms callbacks            (Pawel Kot)
    o add support for occurrences field in calendar (Keith Packard)
    o account for phonebook blocks not sent due to limited packet
      space                                         (Keith Packard)
    o set of address blocks counts as one data block
                                                    (Keith Packard)
    o treat Postal entries as addresses             (Keith Packard)
    o when processing incoming phone book messages, skip unrelated
      errors                                        (Keith Packard)
    o avoid duplicate phonebook subentries          (Keith Packard)
    o speed up reading calendar entries             (Keith Packard)
 * build system updates
    o detect getline() presence and provide its substitute
                                           (Guido Falsi, Pawel Kot)
    o hide 'dereferencing type-punned pointer will break
      strict-aliasing rules' warning                    (Pawel Kot)
 * nokia_dku2 module updates
    o add N70 id and new endpoint addresses                 (Yarda)
 * nk6100 driver updates
    o add GN_OP_GetSMSFolders and GN_OP_GetSMSFolderStatus to
      support gnokii --showsmsfolderstatus          (Daniele Forsi)
 * gnokii updates
    o update callback functions to match current libgnokii
                                                        (Pawel Kot)
    o add support for occurrences field in calendar     (Pawel Kot)
 * smsd updates
    o add support for multipart SMS for MySQL backend
                                                   (Alain Degreffe)

0.6.17
======
 * gnokii updates
    o do not open the log file when communication with phone is not
      needed; this fixes a memory leak found with valgrind
                                                    (Daniele Forsi)
    o fix valgrind error "Conditional jump or move depends on
      uninitialised value(s)" in --getwapsetting    (Daniele Forsi)
    o fix valgrind error "Conditional jump or move depends on
      uninitialised value(s)" in --getprofile       (Daniele Forsi)
    o fix --divert options parsing                      (Pawel Kot)
    o return an error if unexpected optional arguments are given to
      some commands and do stricter error checking  (Daniele Forsi)
    o make --getphonebook output a telephone number in --ldif
      format even when there are no subentries      (Daniele Forsi)
    o let foogle() access global data and state     (Daniele Forsi)
    o fix command arguments handling for getting, setting and
      playing ringtones                             (Daniele Forsi)
 * nk6100 driver updates
    o when reading phonebook check if date/time is set in the entry
      to fix valgrind error "Invalid read of size 1"
                                                    (Daniele Forsi)
    o handle errors in case 0x1b of IncomingProfile(); this fixes
      another valgrind error "Invalid read of size 1"
                                                    (Daniele Forsi)
 * documentation updates
    o update Docs/protocol/nk6110.txt with date/time flag in
      phonebook entries                             (Daniele Forsi)
    o add sample udev rules file for DKU-2 cables       (Pawel Kot)
    o update sendsms man page with --forceSMread and --forceMEread
      usage                                         (Daniele Forsi)
    o update Docs/Bugs with current instructions to get a debug
      build                                         (Daniele Forsi)
    o fix typos in Docs/sample/gnokiirc             (Daniele Forsi)
 * nk6160 driver updates
    o fix usage of SEND_MESSAGE_BLOCK macro (another valgrind
      finding)                                      (Daniele Forsi)
 * libgnokii updates
    o fix memory leaks when config file has been open and memory
      allocated but [global] section or section given with --phone
      are not found (another valgrind finding)      (Daniele Forsi)
    o in serial_close() fix valgrind warning "invalid file
      descriptor -1 in syscall close()" when serial_open() failed
      (eg. wrong permissions on /dev/ttyS0)         (Daniele Forsi)
    o introduce use_locking field to config structure and fill it
      from the config file                        (okki, Pawel Kot)
    o make strings in cfgreader better translatable     (Pawel Kot)
    o use default values when incorrect option is given in the
      config file (where safe and possible)             (Pawel Kot)
    o for connection type dku2libusb treat port as the number of
      DKU2 USB endpoint; this is useful when you have more than
      one DKU2 phone connected to the computer; numbering goes
      from 1 upwards                                    (Pawel Kot)
    o in gn_file_phonebook_raw_parse() parse all the fields even if
      an empty name is given                        (Daniele Forsi)
 * build system updates
    o fix compilation warnings                      (Daniele Forsi)
 * gnokiid updates
    o accept at most one command line argument and let users of
      unsupported models use --version              (Daniele Forsi)
    o fix segfault when config file is broken or missing
                                                    (Daniele Forsi)
 * xgnokii updates
    o fix memory leaks when building menus          (Daniele Forsi)
    o print some messages only when xdebug = on     (Daniele Forsi)
    o use the same error message when memory could not be allocated
      in xgnokii_speed.c                            (Daniele Forsi)
    o fix a memory leak in xgnokii/xgnokii_logos.c  (Daniele Forsi)
    o calling gtk_set_locale() is unneeded according to gtk docs
      and leaks memory according to valgrind        (Daniele Forsi)
 * translation updates
    o update Italian translation                    (Daniele Forsi)
    o update Polish translation                         (Pawel Kot)
 * utils updates
    o fix typos in sendsms                          (Daniele Forsi)

0.6.16
======
 * gnokii updates
    o fix Solaris compilation (fcntl and friends)       (Pawel Kot)
    o avoid warnings on WIN32                           (Pawel Kot)
 * libgnokii updates
    o provide own implementation of strndup() for non-GNU systems
                                                        (Pawel Kot)

0.6.15
======
 * libgnokii changes (libgnokii.so.3.1.0)
    o handle new type of phonebook number for ldif and vcard
      output                                            (Pawel Kot)
    o be more compliant with VCARD 3.0                  (Pawel Kot)
    o use TYPE=PREF for the main entry number for the phonebook
      entry                                             (Pawel Kot)
    o add Nokia 6136 support                            (Pawel Kot)
    o add Italian operator "Blu SpA" (222 98) to the list of nets
      in common/gsm-networks.c                      (Daniele Forsi)
    o delete lockfile in gn_lib_phone_open() if gn_gsm_initialise()
      fails (eg. bad config or no write access)     (Daniele Forsi)
    o search for default config files if an empty filename is given
      to gn_lib_phoneprofile_load_from_file()       (Daniele Forsi)
    o add #include <limits.h> needed for MAX_INT on various
      platforms           (Magnus Henoch, Petr Hruska, Kuba Tyszko)
    o fix overflow when printing SMS date               (Pawel Kot)
    o add new phonebook entry types                     (Pawel Kot)
    o for concatenated messages send the smallest part at the end
                                                        (Pawel Kot)
    o for concatenated unicode messages try not to split character
      across multiple parts                             (Pawel Kot)
    o change gn_vm_initialise() because gn_cfg_phone_load() returns
      GN_ERR_NONE on success, instead of true       (Daniele Forsi)
    o use sizeof(wchar_t) instead of hardcoded 4 for the size of
      exactly one output wchar_t              (Alex VillacĂ­s Lasso)
    o let gn_get_connectiontype() and
      gn_lib_get_supported_connection() know which connection types
      have been actually compiled in libgnokii      (Daniele Forsi)
    o fix decoding SMS with some locale set (Chinese)   (Pawel Kot)
    o avoid using va argument twice for in logging handlers
                                                       (Scott Tsai)
    o add support for reading extended phonebook attributes
                                                        (Pawel Kot)
    o change type of caller_group from int to
      gn_phonebook_group_type                           (Pawel Kot)
    o add support for concatenated messages with 16-bit reference
      number                                          (Petr Hruska)
    o add support for Nokia 6233                        (Pawel Kot)
    o close the file before returning error in the two deprecated
      gn_vcal_file_*_read() functions               (Daniele Forsi)
    o be more verbose in debug mode in dku2libusb initialization
                                                        (Pawel Kot)
    o add PM_XGNOKIIBREAKAGE and PM_FULLPBK capabilities
                                                        (Pawel Kot)
    o include "gnokii-internal.h" when common/vcal.c is compiled
      with libical                                  (Daniele Forsi)
    o there is no need to bind a bluetooth socket (gnokii does not
      accept connections)                               (Pawel Kot)
    o make gn_file_phonebook_raw_parse() accept "ON" memory too and
      return GN_ERR_INVALIDMEMORYTYPE if memory type is not ME, SM
      or ON, instead of GN_ERR_WRONGDATAFORMAT      (Daniele Forsi)
    o add Nokia N70 ids                                 (Pawel Kot)
    o add support for Bluetooth on win32/MSVS 2005      (Pawel Kot,
                                                       Jari Turkia)
    o fix encoding to UCS2                              (Pawel Kot)
    o fix user data length calculating on concatenated SMS
                                        (Pawel Kot, Alain Degreffe)
    o on_sms callback should have a pointer to the statemachine
                                                     (Jeremy Laine)
    o fix winsock2 check                              (Jari Turkia)
    o it's not an error when statemachine is in the Initialised
      state                                             (Pawel Kot)
    o fix segfault on contacts handling in AT driver for long names
                                               (Baurzhan Ismagulov)
    o improve INT_MAX detection                         (Pawel Kot)
    o make gn_ical2calnote() and gn_ical2todo() print the parsed
      notes only when debug = on                    (Daniele Forsi)
    o don't invoke additional fcntls when with_async is set to 0,
      which is always                                   (Pawel Kot)
    o add extented phonebook support into public API    (Pawel Kot)
    o add file types into public API                    (Pawel Kot)
    o add support for extented phonebook (not quite works yet)
                                                        (Pawel Kot)
 * gnokii updates
    o search for default config files if an empty filename is given
      to --config                                   (Daniele Forsi)
    o fix --setdatetime segfault                        (Pawel Kot)
    o fix --deletephonebook incorrect argument number counting
                                                        (Pawel Kot)
    o print phonebook entry number in case when there's no
      subentry                                        (Petr Hruska)
    o fix logo options segfaults                        (Pawel Kot)
    o exit gnokii after --viewlogo or --listnetworks    (Pawel Kot)
    o compare network name with translated "unknown" string in logo
      operations too                                (Daniele Forsi)
    o make --getspeeddial and --setspeeddial print to stdout on
      success, not stderr                           (Daniele Forsi)
    o fix --getringtone parsing options                 (Pawel Kot)
    o fix --sendsms usage string: -r is the short form of --report
                                                    (Daniele Forsi)
    o add support for reading extended phonebook        (Pawel Kot)
    o fix --ringtoneconvert segfault                (Daniele Forsi)
    o avoid looping up to INT_MAX when '--getsms 1 end' fails (e.g.
      PIN code required, invalid memory type)       (Daniele Forsi)
    o --enterchar exits after first failure             (Pawel Kot)
    o add network code to --monitor output            (Jari Turkia)
    o require parameters that are supposed to be numbers to be
      numbers                                           (Pawel Kot)
    o treat read/unread status of delivery reports like other SMs
                                                    (Daniele Forsi)
    o make --getsms print "Text:" then go to newline for all types
      of SMs; make it also print more details for GN_SMS_MT_Submit
      like already done for GN_SMS_MT_SubmitSent    (Daniele Forsi)
    o completely disable --getsecuritycode when compiled without
      --enable-security                             (Daniele Forsi)
    o make --writewapsetting --setprofile and --setsmsc return
      GN_ERR_WRONGDATAFORMAT when appropriate       (Daniele Forsi)
    o use readtext() in savesms() too               (Daniele Forsi)
    o skip trailing \n before checking string length in readtext()
                                                    (Daniele Forsi)
    o use strncpy() safely in getsms()              (Daniele Forsi)
    o make --getsms options -f and -F save the text part of
      Delivery Reports and Picture Messages too     (Daniele Forsi)
    o print message number and status for Picture Messages too
                                                    (Daniele Forsi)
    o make --getsms arguments work on FreeBSD           (Pawel Kot)
    o it's not an error if we read at least a Calendar or ToDo note
      and the rest is empty when reading up to end  (Daniele Forsi)
    o --writephonebook can write to ON too (first location is 0,
      not 1). Working on Nokia 3210 and 3330; 3310 can only read
      number, not name; not working on 8310.        (Daniele Forsi)
    o allow to enter PIN code not from the terminal         (rob_w)
    o allow to write more than 1 calendar note at a time
                                             (Carles Pina i Estany,
                                                     Daniele Forsi)
    o allow to write more than 1 todo note at a time
                                                    (Daniele Forsi)
    o fix valgrind error in --savesms when -f option is not given:
      "Conditional jump or move depends on uninitialised value(s)"
                                                    (Daniele Forsi)
    o print picture message templates like normal picture messages
                                                    (Daniele Forsi)
    o fix --getphonebook XX n end where n > 1           (Pawel Kot)
 * at driver updates
    o initialize caller groups with GN_PHONEBOOK_GROUP_None, not 0
                                                      (Petr Hruska)
    o implement --setdatetime                         (Petr Hruska)
    o implement --getdatetime                         (Petr Hruska)
    o fix problem for the devices that accept CPMS only with two
      memory types -- current implementation made them not work
      with gnokii                        (Daniele Forsi, Pawel Kot)
    o read PDU data as unsigned chars in ReplyGetSMS() else values
      would be sign extended when >127              (Daniele Forsi)
    o exclude unused code when compiled without --enable-security
                                                    (Daniele Forsi)
    o fix segfault on reading empty SMS locations with certain
      GSM modems                                      (Yves PERREY)
    o add DTMF support                               (Jeremy Laine)
    o fix memory leak when link initialisation succeeds but driver
      initialisation fails  (e.g. timeout)          (Daniele Forsi)
    o initial Samsung support                        (Ingmar Steen)
    o initialize variables on driver initialization     (Pawel Kot)
    o fix findcrlf() usage -- valgrind findings         (Pawel Kot)
 * build system updates
    o add default (/usr/local) paths for FreeBSD      (Petr Hruska)
    o unistd.h is not on all platforms; try to include only from
      compat.h                                        (Jari Turkia)
    o termios.h is not on all platforms; try to include only from
      compat.h                                        (Jari Turkia)
    o MSVS needs #include <stdio.h> in snprintf.c     (Jari Turkia)
    o MSVS compatibility fixes: string cannot be splitted with
      #ifdef                                          (Jari Turkia)
    o add missing includes for MSVS after splitting gnokii into
      serveral files                                  (Jari Turkia)
    o update MSVS project files                       (Jari Turkia)
    o updated config/* files along with new Ubuntu version
                                                        (Pawel Kot)
    o define INT_MAX where it's not defined             (Pawel Kot)
    o avoid redefining _GNU_SOURCE                      (Pawel Kot)
    o add --disable-libusb and --disable-ical options
                                                (Michele Noberasco)
    o add AC_GNU_SOURCE to supress autoconf warnings    (Pawel Kot)
    o update win32 build files                        (Jari Turkia)
    o provide a replacement for va_copy() macro       (Jari Turkia)
    o add --disable-irda and --disable-bluetooth options
                                                        (Pawel Kot)
    o replace gettextize with autopoint                 (Pawel Kot)
    o add waitcall file to utils/.cvsignore         (Daniele Forsi)
    o waitcall, todologo and ppm2nokia moved to gnokii-extras
      repository                                    (Daniele Forsi,
                                                         Pawel Kot)
    o disable XPM support if X11/xpm.h is not found or is not
      usable, even if libXpm is found and usable    (Daniele Forsi)
    o fail with configure when there's no (f)lex installed nor
      common/gnvcal.c is present                        (Pawel Kot)
 * nk6510 driver updates
    o for sms submit dcs field is on other location
                                                 (Waterser Forrest)
    o fix warning about unused functions when compiled without
      --enable-security                             (Daniele Forsi)
    o remove irda blacklisting code                     (Pawel Kot)
    o fix memory leak when link initialisation succeeds but driver
      initialisation fails (e.g. timeout)           (Daniele Forsi)
    o fix error spotted with valgrind after driver init failure:
      "Conditional jump or move depends on uninitialised value(s)"
                                                    (Daniele Forsi)
 * translation updates
    o update Italian translation                    (Daniele Forsi)
    o do not translate strings in common/vcal.c and translate those
      in common/devices/winbluetooth.c            (Daniel Nylander)
    o update Swedish translation                  (Daniel Nylander)
    o update Polish translation                         (Pawel Kot)
 * gnokiid updates
    o set locale according to the environment variable LC_ALL just
      like the other programs                       (Daniele Forsi)
    o gn_cfg_phone_load() now returns GN_ERR_NONE on success,
      instead of true                               (Daniele Forsi)
    o exit when given phone model is not in 5110, 5130, 6110,
      6130, 6150                                        (Pawel Kot)
 * nk6100 driver updates
    o add more specific error codes to GN_OP_GetSMSStatus
      (observed on Nokia 3210|3310|3330)            (Daniele Forsi)
    o set and compare caller_group with GN_PHONEBOOK_GROUP_None,
      not literal 5                                 (Daniele Forsi)
    o check if SMSC index is in range 1..255 in GetSMSCenter() and
      SetSMSCenter()                                (Daniele Forsi)
    o handle GN_ERR_INVALIDLOCATION and GN_ERR_INVALIDMEMORYTYPE
      errors for SetSpeedDial() in IncomingPhonebook() because
      Nokia 3210 differentiates between the two (Nokia 3330 returns
      always the same error code)                   (Daniele Forsi)
    o make get_ringtone_list() more general         (Daniele Forsi)
    o check if message number is in range 0..255 in GetSMSMessage()
      SaveSMSMessage() and DeleteSMSMessage()       (Daniele Forsi)
    o in IncomingSMS() copy message center number and remote number
      for type GN_SMS_MT_Submit too                 (Daniele Forsi)
    o set encoding for calendar notes text on Nokia 3310 and 3330;
      see Docs/protocol/nk6110.txt for details      (Daniele Forsi)
    o use old key API with both variants of 3310 (tested only NHM-5
      with firmware V 05.79)                        (Daniele Forsi)
    o set the same flags for both variants of 3210 because *#0000#
      actually reports "NSE-8/9" (seen on NSE-8 with firmwares V
      05.10, 05.26 and 06.00)                       (Daniele Forsi)
    o when reading calendar notes replace year 2090 with alarm year
      (partial fix)                                 (Daniele Forsi)
    o make it possible to use --getphonebook to read DC, MC and RC
      when there is no name, only the number        (Daniele Forsi)
    o fix memory leak when link initialisation succeeds but driver
      initialisation fails (e.g. timeout)           (Daniele Forsi)
    o return GN_ERR_MEMORYFULL when calendar memory is full
                                                    (Daniele Forsi)
 * documentation updates
    o update logos section of man page with current usage
                                                    (Daniele Forsi)
    o add spam filters for email addresses              (Pawel Kot)
    o add libusb information to DKU2 docs               (Pawel Kot)
    o update MAINTAINTERS, COPYRIGHT, CREDITS files     (Pawel Kot)
    o add note about gnapplet not working with SymbianV3 OS
                                                        (Pawel Kot)
    o update information about irda issue -- seems to be the case
      only with xgnokii                                 (Pawel Kot)
    o FAQ update                                        (Pawel Kot)
    o update gnokii and xgnokii manual pages        (Daniele Forsi)
    o fix spelling in code comments                 (Daniele Forsi)
    o update TODO, CALENDAR, PHONEBOOK and SMS sections of gnokii
      man page with new usage                       (Daniele Forsi)
    o fix some usage strings                        (Daniele Forsi)
    o all protocol related questions should be asked on the gnokii
      mailing list                                      (Pawel Kot)
    o update WIN32 readme                             (Jari Turkia)
    o update sample config file                         (Pawel Kot)
    o update Docs/protocol/nk6110.txt new explanation for error
      code 0x73: memory full                        (Daniele Forsi)
 * xgnokii updates
    o in xgnokii_contacts.c use GN_PHONEBOOK_GROUP_None, not
      literal 5                                     (Daniele Forsi)
    o add support for blacklisting models known to be broken by
      xgnokii usage                                     (Pawel Kot)
    o clear the text box after deleting a note and update the list
      after adding a note in the Calendar window    (Daniele Forsi)
 * smsd updates
    o reconnect only after timeout                      (Pawel Kot)
    o avoid freeing statically allocated memory         (Pawel Kot)
 * nokia dku2 kernel module
    o add Linux 2.6.18 compatibility     (Pawel Kot, Mark Kirkwood)
    o add Nokia 6155 support                            (Pawel Kot)
 * nk3110 driver updates
    o fix memory leak when link initialisation succeeds but driver
      initialisation fails  (e.g. timeout)          (Daniele Forsi)
 * nk7110 driver updates
    o fix memory leak when link initialisation succeeds but driver
      initialisation fails  (e.g. timeout)          (Daniele Forsi)
    o fix gcc warning: enumeration value not handled in switch
                                                    (Daniele Forsi)
 * utils updates
    o sendsms can now read phonebook from phone memory  (Pawel Kot)

0.6.14
======
 * nk6510 driver updates
    o fix getfiledetailsbyid (off-by-four bug)          (Pawel Kot)
 * gnokii updates
    o change the error message in install_log_handler() to print
      the name of the logfile that failed to open to easily detect
      typos when changing the HOME variable in multiple phones
      setups; also start NLS stuff before calling
      install_log_handler() so this error message is translated
                                                    (Daniele Forsi) 
    o added -w option to --sendsms to for push messages sending
      support (service indication - wap push)	       (Igor Popik)
    o make --senddtmf, --answercall, --hangup, --getdisplaystatus,
      --getprofile print the error message          (Daniele Forsi)
    o in --savesms print "storing sms" message after checking for
      all possible errors and for cosmetics change capitalization,
      add ellipsis and a space ("Storing SMS... ")  (Daniele Forsi)
    o in --getphonebook in case GN_ERR_INVALIDLOCATION print
      the actual error message in addition to the generic "Error
      reading from the location %d in memory %s\n"  (Daniele Forsi)
    o fix segfault on filesystem reading                (Pawel Kot)
    o add --config and --phone options                  (Pawel Kot)
    o split gnokii functionality across the files       (Pawel Kot)
    o print error messages when no config file or no phone section
      is found                                          (Pawel Kot)
 * dku2 module updates
    o fix module headers                                (Pawel Kot)
 * libgnokii updates
    o added gn_wap_push_init() and gn_wap_push_encode() and 
      gn_wap_push, gn_wap_push_header structures for binary push 
      messages encoding				       (Igor Popik)
    o added extra header file called "wappush.h" with definitions
      of binary tag tokens and some contstant values   (Igor Popik)
    o use GN_OP_CancelCall in gn_call_cancel()      (Daniele Forsi)
    o add new error code GN_ERR_NOTAVAILABLE        (Daniele Forsi)
    o save caller group as businessGroup in ldif phonebook export
      if present                                        (Pawel Kot)
    o fix encoding issues on 64bit architectures    (Daniel Gollub)
    o add libgnokii functions to load config from the alternate
      file                                              (Pawel Kot)
    o fix segfault on getting phonebook with entries with custom
      ringtone                                          (Pawel Kot)
    o output correctly sms date in debug mode           (Pawel Kot)
    o fix model setting for --identify in AT driver     (Pawel Kot)
    o return appropriate gn_error codes on particular errors
                                                        (Pawel Kot)
    o return an error when no model or no port is found in the
      given section (in particular no section)          (Pawel Kot)
    o fix typo when converting phonebook entry to vCard; in default
      CATEGORY s/Unkown/Unknown                           (Whoopie)
    o make categories in phonebook vCards translatable
                                                    (Daniele Forsi)
    o add Nokia 6280 support                     (Kostas Peletidis)
    o add Nokia 3220 support                            (Pawel Kot)
    o handle new type of phonebook number
                                         (Daniel Gollub, Pawel Kot)
 * nk6100 driver updates
    o make --getdatetime return GN_ERR_NOTAVAILABLE when date/time
      is not set                                    (Daniele Forsi)
    o relax error checking in IncomingNetworkInfo() because network
      info is sent unsolicited after hanging up a call (at least on
      Nokia 3330) and use GN_ERR_NOTAVAILABLE instead of
      GN_ERR_UNKNOWN when it's the case             (Daniele Forsi)
    o handle 'invalid profile location' errors in IncomingProfile()
                                                    (Daniele Forsi)
    o use old call API with Nokia 3210 NSE-8 (tested with firmwares
      04.43, 05.26 and 06.00); probably this should be done for
      NSE-9 too, but I haven't got one to test      (Daniele Forsi)
    o handle 'insert SIM card' error and an additional 'wrong code'
      error for --getsecuritycodestatus, --changesecuritycode and
      --entersecuritycode                           (Daniele Forsi)
    o handle 'invalid location' error for --deleteringtone
                                                    (Daniele Forsi)
    o handle 'prev_state' with code 0x01 as GN_CALL_Idle (seen on
      Nokia 3330) else IncomingCallInfo() would fail with
      GN_ERR_UNHANDLEDFRAME                         (Daniele Forsi)
    o use old call API with Nokia 3310 (tested with firmware 5.79)
                                                    (Daniele Forsi)
 * documentation updates
    o copy missing error codes from common/phones/nk6100.c to
      Docs/protocol/nk6110.txt                      (Daniele Forsi)
    o update --getsmsc and --setsmsc description in gnokii man page
                                                    (Daniele Forsi)
    o discourage gnokiid for real modems                (Pawel Kot)
    o fix usage string for --writephonebook as both --memory-type
      and --memory-location need a parameter and an alternate form
      of --memory-location is --location; fix usage strings in some
      of the new split gnokii files; update usage string in gnokiid
                                                    (Daniele Forsi)
 * portability updates
    o don't fail on win32 with use_locking=yes          (Pawel Kot)
 * utils updates
    o add 'waitcall' program which can be used in a script to get
      phone number of incoming call, then fix CVS Id and a linking
      issue                                         (Daniele Forsi)
 * build system updates
    o don't warn about deprecated interfaces inside gnokii
                                          (Helge Deller, Pawel Kot)
    o -fvisibility=hidden flag is supported since gcc 3.4
                                                     (Brian Wallis)
    o don't prepare distribution specific things        (Pawel Kot)
 * smsd updates
    o fix problems with exporting symbols from shared
      libraries/plugins with newer gcc versions         (Pawel Kot)
    o autoreconnect in case of the phone being disconnected somehow
                                                     (Jan Derfinak)
 * xgnokii updates
    o remove ExposeDisplay() from xgnokii/xgnokii_netmon.c as it's
      no more needed and was causing an infinite loop with a crash
                                                    (Daniele Forsi)
    o enable Netmonitor menu for 3210|3310|3330     (Daniele Forsi)
    o use gtk_window_present() instead of gtk_widget_show() when
      user clicks the menus so windows are always shown; gtk docs
      say: "This may mean raising the window in the stacking order,
      deiconifying it, moving it to the current desktop, and/or
      giving it the keyboard focus, possibly dependent on the
      user's platform, window manager, and preferences."
                                                    (Daniele Forsi)
    o in Logos window provide an empty network code when it could
      not be read from the phone else later code would reference
      unitialized memory (it is possible to read startup logo and
      operator logo from a Nokia 3330 even when SIM card is missing
      or PIN code is required)                      (Daniele Forsi)
 * translation updates
    o change gnokii/gnokii-phonebook.c and gnokii/gnokii-calendar.c
      to remove some strings that differ only for a trailing \n to
      ease future translations                      (Daniele Forsi)
    o update Italian translation and change charset back to that of
      version 0.6.12                                (Daniele Forsi)

0.6.13
======
 * xgnokii updates
    o avoid segfault when enabling or disabling data calls, read
      bindir parameter from .gnokiirc               (Daniele Forsi)
    o enable Speed Dial window for the following tested model and
      product_name pairs: Nokia 3210 (NSE-8), Nokia 3310 (NHM-5)
      and Nokia 3330 (NHM-6)                        (Daniele Forsi)
    o don't segfault in Speed Dial window trying to associate a
      speed dial to a phone number when the phonebook could not be
      read because of an error (e.g. when pin code is required)
                                                    (Daniele Forsi)
    o make Speed Dial window a little wider to avoid the horizontal
      scroll bar; hide "info" window only after reading all speed
      dials, not just after the first one           (Daniele Forsi)
    o make Dial Pad buttons insert digits at cursor position and
      replace selected text                         (Daniele Forsi)
 * libgnokii updates (libgnokii.so.3.0.0)
    o increase max sms and smsc phone number to 20      (Pawel Kot)
    o add a library layer to make libgnokii more binary
      compatible between versions in the future      (Helge Deller)
    o change gnokii to use library layer             (Helge Deller)
    o add gn_timestamp_set() and gn_timestamp_get()  (Helge Deller)
    o change major number of libgnokii to 3          (Helge Deller)
    o added gn_lib_lasterror(), gn_lib_cfg_get() and
      gn_lib_get_phone_model|manufact|... functions  (Helge Deller)
    o lots of changes all around to use new libgnokii
      functions					     (Helge Deller)
    o add GNOKII_DEPRECATED and API for Linux        (Helge Deller)
    o add gn_lib_get_supported_connection() and 
      gn_lib_search_one_connected_phone()            (Helge Deller)
    o added gn_lib_addressbook_memstat(),
      gn_lib_phonebook_read_entry(),
      gn_lib_phonebook_entry_isempty()               (Helge Deller)
    o fix memory leaks				     (Helge Deller)
    o add .cvsignore files                           (Helge Deller)
    o avoid double free on lockfile unlock              (Pawel Kot)
    o make pnok_call_divert_incoming() allocate the needed struct
      when it is missing (e.g. when receiving unsolicited messages)
                                                    (Daniele Forsi)
    o add timegm() function for the systems that do not have it
                                                        (Pawel Kot)
    o add support for caller groups in vcards       (Daniel Gollub)
    o allow the application to set encoding for gnokii
                                                     (Markus Meyer)
    o add support for connection=dku5 setting           (Pawel Kot)
    o avoid using sprintf(buf, "%s...", buf, ...) as it doesn't
      work on some systems                              (Pawel Kot)
    o show the entries when there is no name given (for example in
      missed calls or dialled numbers)                  (Pawel Kot)
    o support date fields in phonebook export and format them
      sanely in raw format                              (Pawel Kot)
    o the string length of strings with multibyte chars is not
      calculated correctly by strlen()              (Daniel Gollub)
 * nk6510 driver updates
    o handle calendar extended parameters writing       (Pawel Kot)
    o support for Symbian phones (identifier 'symbian'), generic
      Series 40 phones (identifier 'series40') and Nokia 6680
                                                        (Pawel Kot)
    o fix sms decoding                                  (Pawel Kot)
 * nk6100 driver updates
    o fix --smsreader for nk6100 driver             (Daniele Forsi)
    o Nokia 3310 does not support GetPhoneStatus    (Daniele Forsi)
 * build system updates
    o fix typo in smsd-mysql Debian pacakge depedencies (Pawel Kot)
    o support for MS Visual Studio 2005               (Jari Turkia)
 * dku2 kernel driver updates
    o fix version for Linux 2.4                         (Pawel Kot)
    o update documentation                              (Pawel Kot)
    o update Linux 2.6 driver to support 2.6.16 kernel (internal
      structures changed again)                         (Pawel Kot)
    o Symbian phones are not capable to use nokia_dku2 driver --
      exclude their ids from the driver                 (Pawel Kot)
    o add Nokia 6265 support                          (Artur Souza)
 * device layer updates
    o new libusb driver for dku2 cable (connection = dku2libusb)
                                                        (Pawel Kot)
 * link layer updates
    o make new libusb driver work also for Symbian devices
                                                     (Alex Kanavin)
 * atgen driver updates
    o use model and product name correctly              (Pawel Kot)
    o add memory type sanitization for --getsms         (Pawel Kot)
    o use strip_quotes() to correctly handle the empty string in
      +COPS: 0,0,"" for --getnetworkinfo            (Daniele Forsi)
    o safely handle long strings in --identify      (Daniele Forsi)
 * gnapplet driver updates
    o remove 6680 from the supported models -- it is supported by
      genuine FBUS driver (use series60 for old behaviour)
                                                        (Pawel Kot)
 * documentation updates
    o add in Docs/protocol/nk6110.txt different netstatus/netsel
      values for network registration message for Nokia 3210/3310/
      3330                                          (Daniele Forsi)
    o fix three spelling mistakes in Docs/sample/gnokiirc
                                                    (Daniele Forsi)
 * translation updates
    o add new file common/libfunctions.c to the list of
      translatable files                            (Daniele Forsi)
    o add a missing string from gnokii/gnokii.c;
      change capitalization of some strings         (Daniele Forsi)
    o change two error messages in gnokii/gnokii.c setlogo() to be
      easier to translate                           (Daniele Forsi)
    o update Italian translation and fix charset    (Daniele Forsi)
 * smsd updates
    o apply some patches by SUSE, RedHat and Debian which
      makes packager's life easier                   (Helge Deller)
    o switch smsd to new libgnokii functions         (Helge Deller,
                                                         Pawel Kot)
 * gnokii updates
    o make --setlogo exit with a valid error code after all errors
                                                    (Daniele Forsi)
    o exit the loop for getphonebook on timeout         (Pawel Kot)
 * build environment updates
    o remove CFLAGS from gnokii.pc.in and xgnokii.pc.in,
      keep includes only for compilation             (Helge Deller)
    xgnokii/xgnokii.pc.in
    o add checks for -Wno-pointer-sign and -fvisibility=hidden,
      add usage of __attribute__((deprecated)        (Helge Deller)
    o replaced usage of "API" with "GNOKII_API"      (Helge Deller)
 * compatibility updates
    o global gnokiirc-file is looked under %SYSTEMROOT%, looking
      from current working directory is a bad idea    (Jari Turkia)
    o locale charset win32 problem: return current code page as
      codeset, also makes multibyte-functions work; there is pretty
      much nothing else that can be done to the issue (Jari Turkia)
    o snprintf fix: there seems to be some a nasty side effect in
      MSVC vsnprintf causing a couple of ugly strings. This makes
      the snprintf work similarily to unix ones       (Jari Turkia)

0.6.12
======
 * xgnokii updates
    o make Keyboard and Ringtone Editor more compatible with
      gtk+-2.0 adding gtk_fixed_set_has_window()    (Daniele Forsi)
    o in xgnokii/xgnokii_lowlevel.c use gdat.model as phone.version
      and remove some unneeded g_malloc()'s         (Daniele Forsi)
    o avoid segfault when gnokii-artwork is not installed
                                                        (Pawel Kot)
 * build system updates
    o update Debian build scripts                       (Pawel Kot)
 * nk6510 driver updates
    o return appropriate error code when setting too long ringtone
      (actual tested max notes in ringtone is 69 notes in
       Nokia 6310)                                      (Pawel Kot)
 * libgnokii updates (libgnokii.so.2.0.x)
    o extend GN_PHONEBOOK_SUBENTRIES_MAX_NUMBER to 64        (Dirk)
    o extend GN_RINGTONE_MAX_NOTES to 1024 (it happend that there
      are longer ringtones in the phone)        (Alexey I. Froloff)

0.6.11
======
 * nk6510 driver updates
    o Nokia 6015i support added                (gnokii@everets.org)
    o fix number encapsulating in the FBUS frame: when the number
      was too long the trailing digits where overwritten
                                                        (Pawel Kot)
    o Nokia 6101 support added                          (Pawel Kot)
    o end time and location support added to calendar   (Pawel Kot)
    o map nk6510 calnote types to libgnokii types       (Pawel Kot)
    o add reminder support                              (Pawel Kot)
    o fix MakeCall                                      (Pawel Kot)
    o fix Subscribe: use just few channels, don't wait for the
      reply (it won't come)                             (Pawel Kot)
    o not all models support the same frames for MakeCall, fix it
      for them (at least Nokia 7600)                    (Pawel Kot)
 * link layer updates
    o virtual IrCOMM device support                (BORBELY Zoltan)
    o fix FBUS mode initialization for slow responding devices
      (like Nokia 6020)                                 (Pawel Kot)
 * device layer updates
    o virtual IrCOMM device support                (BORBELY Zoltan)
    o Nokia 6235 over IrDA support                      (Pawel Kot)
 * build system updates
    o AM_GNU_GETTEXT doesn't support use-libtool   (BORBELY Zoltan)
    o Makefile cleanup due to the gettext changes  (BORBELY Zoltan)
    o added LDFLAGS when linking libgnokii libraries
                                     (Luke Kenneth Casson Leighton)
    o change libgnokii parts compilation order          (Pawel Kot)
    o merge gnokii-smsd and gnokii-smsd-file in gnokii.spec
                                                        (Pawel Kot)
    o sync debian package building scripts with mainstream
                                                        (Pawel Kot)
 * gnapplet driver updates
    o Nokia 6680 support added                     (BORBELY Zoltan)
    o end time and location support added to the calendar
                                                   (BORBELY Zoltan)
 * documentation updates
    o Italian translation updated                   (Daniele Forsi)
    o Swedish translation added and updated       (Daniel Nylander)
    o xgnokii requires now glib-2.0 and gtk+-2.0        (Pawel Kot)
    o CVS access has changed on savannah                (Pawel Kot)
    o non Nokia phones are supported by AT driver -- express it
      more verbosly                                     (Pawel Kot)
    o document irda_string variable                     (Pawel Kot)
    o noted in Docs/protocol/nk6110.txt that reply for packet 0x0a
      (Network status) is shorter when there is no network
      registration                                  (Daniele Forsi)
    o updated French translation                (Olivier Kaloudoff)
    o updated Polish translation                        (Pawel Kot)
 * xgnokii updates
    o make the progress dialog while loading the phonebook more
      compatible with gtk+-2.0                      (Daniele Forsi)
    o make strings translatable and change some to be consistent
      across the whole project                      (Daniele Forsi)
    o avoid coredump on the empty ringtone list     (Daniele Forsi,
                                                         Pawel Kot)
    o support for calendar extended parameters          (Pawel Kot)
    o dialpad for dial voice dialog                     (Pawel Kot)
    o bump xgnokii version                              (Pawel Kot)
    o added default preview image for logos             (Pawel Kot)
    o don't hardcode preview pixmap names (except for default)
                                                        (Pawel Kot)
    o added xgnokii pkg-config file                     (Pawel Kot)
    o move phone pixmaps to the separate package (gnokii-artwork)
                                                        (Pawel Kot)
 * gnokiid updates
    o add gnokiid/gnokiid.c to the list of translatable files in
      po/POTFILES.in                                (Daniele Forsi)
    o print strings more compliant to GSM standard  (Daniele Forsi)
 * libgnokii updates
    o change some translatable strings to be consistent across the
      whole project and add files to po/POTFILES.in (Daniele Forsi)
    o end time and location support added to the calendar
                                                   (BORBELY Zoltan)
    o support for caller groups in ldif output (patch #4794)
                                                    (str at msm.ru)
    o fix calnote alarm reading                       (Dan Oetting)
    o fix building on GNU/kFreeBSD (bug #14389)         (Pawel Kot)
    o make matching of ldif fields case insensitive (bug #14689)
                                                   (Michael Klemme)
    o use more fields from Mozilla ldif (bug #14689)
                                                   (Michael Klemme)
    o use first ldif subentry number as the default number
      (bug #14689)                                 (Michael Klemme)
    o get rid of the irda phones[] table; either autodetect or
      use the config variale (irda_string)              (Pawel Kot)
    o add memo support to iCal output                   (Pawel Kot)
 * gnokii updates
    o change some translatable strings to be consistent across the
      whole project                                 (Daniele Forsi)
    o putfile() should use binary open() mode (bug #15031)
                                                        (Pawel Kot)
    o with multiple entries for --writephonebook when no locations
      are given don't write them all to the same location
                                                        (Pawel Kot)
    o support for end date and location for calendar
                                        (BORBELY Zoltan, Pawel Kot)
    o support for memo calendar type                    (Pawel Kot)
    o for birthday calendar entries don't output year for the
      alarm                                             (Pawel Kot)
    o output calnote location (virtual and physical)    (Pawel Kot)
    o print error message if --getnetworkinfo or --setdatetime or
      --setalarm or --setspeeddial fail             (Daniele Forsi)
 * utils updates
    o add ldiffix.pl script for ldif entries normalization: number
      formats, delete empty entries, encode base64 (Michale Klemme)

 * nk6100 driver updates
    o in more places make it return error code GN_ERR_NOTREADY when
      phone is displaying "Insert SIM card" and GN_ERR_CODEREQUIRED
      when it is displaying "Enter PIN code" instead of
      GN_ERR_UNHANDLEDFRAME                         (Daniele Forsi)
    o make --writecalendarnote return error GN_ERR_MEMORYFULL when
      appropriate, instead of GN_ERR_UNHANDLEDFRAME (Daniele Forsi)
    o make --getsms and --deletesms return GN_ERR_INVALIDMEMORYTYPE
      if memory_type is not SM                      (Daniele Forsi)
 * atgen driver updates
    o unsolicited RING and +CRING message handling (BORBELY Zoltan)
    o identify should work on phones not supporting "AT+CGxx"
      commands                                     (BORBELY Zoltan)

0.6.10
======
 * nk6510 driver updates
    o Nokia 3120b support added                      (Avery Salmon)
    o Nokia 3100 support added                         (Janos Zana)
    o Nokia 3120 support added                     (Matthew Palmer)
    o Nokia 5140i support added                         (Pawel Kot)
 * gnokii updates
    o let --getfiledetailsbyid work: remove spurious return 0
                                                (Stefan Sassenberg)
 * build system updates
    o mingw cross compilation fixes                (BORBELY Zoltan)
    o IrDA support detection for mingw cross build (BORBELY Zoltan)

0.6.9
=====
 * build system updates
    o add $withval/net to CFLAGS with --with-bluetooth and
      configure script                             (Bastien Nocera)
 * atgen driver updates
    o error out when trying to set a memory type that's beyond what
      is supported by the AT driver                (Bastien Nocera)
    o allocate bigger buffer for model and manufacturer
                                                   (Bastien Nocera)
 * gnokii updates
    o don't print empty entries in --getphonebook  (Bastien Nocera)
    o only print an "invalid index" error when the "end" keyword
      wasn't used, or we managed to get the real end index (some
      phones don't report the end index)           (Bastien Nocera)
    o duplicated files operations -- you can use them "by name"
      or "by id" (new ops)                              (Pawel Kot)
 * libgnokii updates
    o exit from char_ucs2_encode() infinite loop on the null
      termination                                  (Bastien Nocera)
    o initialize state->device.device_interface    (Bastien Nocera)
    o new gsm operator added                        (Max Sanzharov)
    o allow more subentries for a pbk entry        (BORBELY Zoltan)
 * xgnokii updates
    o add xgnokii.desktop                            (Ville Skytta)
    o ported to gtk2                 (Jan Derfinak, Bastien Nocera)
    o check mark added to the "(de)activate sms reading"
      menu item                                    (BORBELY Zoltan)
 * documentation updates
    o update information about gnokii on MacOS X (Marcus Pallinger)
    o add 'FILES' section to the manual                 (Pawel Kot)
    o updated Polish translation                        (Pawel Kot)
 * translation updates
    o update French translation                 (Olivier Kaloudoff)
 * nk6510 driver updates
    o 6500 and 8310 model numbers are the same     (BORBELY Zoltan)
    o file support for Nokia 6610i and family -- it differs from
      already implemented support as it is not named based but
      id based                                          (Pawel Kot)
    o Nokia 6220 support added                        (Peter Vajko)
 * link layer updates
    o update dku2 driver: more models, cleanups, allow module
      unloading, use .short_name     (Pawel Kot, Matthias Blaesing)
    o IrDA support for Nokia 6021 added            (Tuukka Hastrup)

0.6.8
=====
 * documentation updates
    o sample of FreeBSD port setting in the config file (taken
      from FreeBSD gnokii patches)                   (FreeBSD Team)
    o update DKU-2 documentation                        (Pawel Kot)
    o fixed German translation                        (Jens Seidel)
    o update main README with DKU-2 and win32 info      (Pawel Kot)
    o add some function description in the header files (Pawel Kot)
 * nk6100 driver updates
    o read phonebook names as unicode on unicode capable phones
                                                        (Pawel Kot)
    o read and write calendar notes as unicode on unicode capable
      phones                                            (Pawel Kot)
 * libgnokii updates
    o add sanity checks to vcal converting code         (Pawel Kot)
    o new model id for Nokia 6230                 (Richard Wallman)
    o swap CR and LF in at emulator as they were incorrectly mixed
                                                    (Daniele Forsi)
    o fix off by one in get_next_token(); found by Dave Godfrey
                                                        (Pawel Kot)
    o add support for wap push notification indicators recognition
                                                        (Pawel Kot)
 * xgnokii updates
    o avoid infinite loop on misconfiguration: when xgnokii doesn't
      recognize a phone (missing model id in models[]), and the
      phone doesn't support getting SMS from SIM it goes into
      infinite loop -- fix it to handle GN_ERR_INVALIDMEMORYTYPE
      error; reported by Richard Wallman as debian bug #312632
                                                        (Pawel Kot)
 * nk6510 driver updates
    o added Nokia 6230i support                    (BORBELY Zoltan)
    o colon was missing from the irda blacklist    (BORBELY Zoltan)
    o added Nokia 5140 support                     (BORBELY Zoltan)
 * link layer updates
    o fix dku2 module for 2.4 kernel                    (Pawel Kot)
    o added configure script to customize kernel sources and kernel
      modules directories for dku2 driver               (Pawel Kot)
    o add Nokia 6170 ids to the nokia_dku2 driver       (Pawel Kot)
 * atgen driver updates
    o fix string length calculating in at_encode()  (Daniele Forsi)
 * gnokii updates
    o make more strings translatable, move help entries into the
      correct locations                                 (Pawel Kot)
    o implement end keyword for --getsms            (Daniele Forsi)
    o implement end keyword for --deletesms        (BORBELY Zoltan)

0.6.7
=====
 * build system updates
    o remove SlackBuild-xgnokii on make distclean       (Pawel Kot)
    o don't remove SlackBuilds when preparing a tarball (Pawel Kot)
    o updated SlackBuilds                               (Pawel Kot)
    o upgrade to newer libtool                          (Pawel Kot)
    o add configure option to disable unix98 pty test for clean
      Gentoo ebuilding                                  (Pawel Kot)
    o Gentoo requires gnokii-${VERSION}.ebuild name     (Pawel Kot)
 * nk6510 driver updates
    o added Nokia 6020 support (also over irda)    (Chris Debenham)
 * documentation updates
    o make FAQ more up-to-date (supported model, which cable to
      use)                                              (Pawel Kot)
 * libgnokii updates
    o don't use strndup               (Marcus Pallinger, Pawel Kot)

0.6.6
=====
 * build system updates
    o update gnokii.spec -- split up to the smaller packages
                                                        (Pawel Kot)
    o added gnokii.ebuild based on Gentoo mainstream    (Pawel Kot)
 * link layer updates
    o DKU2 driver as the separate module for Linux 2.4  (Pawel Kot)
    o clean up 2.4 driver                               (Pawel Kot)
 * 6510 driver updates
    o add Nokia 6170 support                            (Pawel Kot)
    o add progress information for GetFile()            (Pawel Kot)
    o handle invalid memory types                       (Pawel Kot)
    o fix compile warning on non linux                  (Pawel Kot)
 * gnokii updates
    o fix the segfault with --getfile when no local_filename is
      given and remote_filename does not contain '/' character
      (eg. it was given with '\\' charaters)            (Pawel Kot)
    o show the (missed, dialled, etc) calls date and time
                                                        (Pawel Kot)
 * translation updates
    o updated Estonian translation                  (Hans Motshärg)
    o updated Polish translation                        (Pawel Kot)
 * libgnokii updates
    o return all call dates as subentries               (Pawel Kot)
    o unify error messages in unixserial                (Pawel Kot)
    o avoid lvalue casting -- be gcc 4.0 compliant (various people)
    o add missing includes for add_slashes() and strip_slashes
                                                        (Pawel Kot)
 * nk7110 driver updates
    o prepare all exit paths with NK7110_IncomingCommstatus
                                                        (Pawel Kot)
 * gnapplet driver updates
    o remove unused variables                           (Pawel Kot)

0.6.5
=====
 * translation updates
    o updated Estonian translation                  (Hans Motshärg)
    o xgnokii_xring.c was missing from POTFILES.in  (Hans Motshärg)
    o Chinese translation added                        (Funda Wang)
    o update all *.po files (automatically with msgmerge)
                                                        (Pawel Kot)
 * gnokii updates
    o --monitor once will run only once            (BORBELY Zoltan)
    o add the ability to set datetime with gnokii --savesms
                                                 (Adam Gołębiowski)
    o support for basic file manipulation              (Chris Kemp)
    o --sendsms will warn when no SMSC cannot be read from the
      phone and advice to use --smsc option             (Pawel Kot)
    o resolve copyright issues                          (Pawel Kot)
 * 6510 driver updates
    o correctly read SMS datetime                       (Pawel Kot)
    o deleting sms can return an unhandled message (BORBELY Zoltan)
    o various file (gallery) functions added           (Chris Kemp)
    o full reset function added                        (Chris Kemp)
    o DKU2 support added                               (Chris Kemp)
    o fix todo writing                              (Balint Reczey)
    o GetSMSFolder will return correct folder ids  (BORBELY Zoltan)
    o CalendarNotesInfo message parsing enhanced   (BORBELY Zoltan)
    o update irda_blacklist models                      (Pawel Kot)
 * 7110 driver updates
    o ringtone list will return fix entries too    (BORBELY Zoltan)
    o call status query function added             (BORBELY Zoltan)
    o call management functions has been rewritten (BORBELY Zoltan)
    o GetSMSFolder will return correct folder ids  (BORBELY Zoltan)
    o clock and alarm can be set                   (BORBELY Zoltan)
 * link layer updates
    o Support for the DKU2 cable added                 (Chris Kemp)
    o DKU2 kernel module patches for 2.4.22 and 2.6.9  (Chris Kemp)
    o fix the compilation for dku2 when the kernel sources are not
      located in /usr/src/linux                         (Pawel Kot)
    o some minor cleanups of the 2.6 driver             (Pawel Kot)
 * documentation updates
    o added new FAQ entry regrading win32 setup and the relvant
      sample in Docs/sample/gnokiirc                    (Pawel Kot)
    o gnokii --divert alternative added to the FAQ    (Oliver Rath)
    o added gnokiid AT command set documentation    (Daniele Forsi)
    o document some unhandled frames for 6110 protocol  (Pawel Kot)
 * libgnokii updates
    o add the function to validate the given date       (Pawel Kot)
    o add optional parameter to disable the retransmission policy;
      it is disabled by defaults due to the breakage reports caused
      probably by this policy                           (Pawel Kot)
    o add new_message_store field of gn_memory_type type to
      gn_sms_status                                  (David Vrabel)
    o skip leading '+' in the numbers of unknown type
                                                     (David Vrabel)
    o add the ability to search the network code and country of
      origin                                            (Pawel Kot)
    o fix SMS year > 2004 printing in the debug mode    (Pawel Kot)
    o fix off-by-one potential bug in findcrlfbw()           (Jens)
    o fix phonebook vcard writing which appended a newline
      character at the end of each entry                (Pawel Kot)
    o escape '\n', '\r', ';', ',' and '\' in the phonebook entries
      for raw and vcard types (ldif is todo)            (Pawel Kot)
    o lvalue casts eliminated                      (BORBELY Zoltan)
    o add the ability to read the configuration from memory (let
      the file reading things do the application)  (Bastien Nocera)
 * 6100 driver updates
    o add Nokia 8850 support                       (Denis Pitzalis)
    o handle new frames when SIM card is not inserted   (Pawel Kot)
    o remove unnecessary switches on smsc->format and
      smsc->validity                                    (Pawel Kot)
 * build system updates
    o add $(LDLIBS) to libgnokii.a target               (Pawel Kot,
                                                    Bastien Nocera)
    o UNIX98 pty detection cross-compileable         (David Vrabel)
    o correctly handle --disable options to configure script
                                                        (Pawel Kot)
    o update Linux binary packages build scripts        (Pawel Kot)
 * xgnokii updates
    o in the logo manager, in the operator drop down list, notice
      the country origin for each operator (to let choose the right
      operator in case of the names conflict)           (Pawel Kot)
    o as we have the above, let's allow to set the network code in
      the bitmap for the operator logo                  (Pawel Kot)
    o don't crash with some locale set                  (Pawel Kot)
    o fix off-by-one bug in sms number handling; submitted by
      anonymous, bug #12827                             (Pawel Kot)
 * AT driver updates
    o use all three parameters to AT+CMPS command to set message
      store of all operations kind (we used just the finst one so
      far)                                           (David Vrabel)
    o fix an overflow with AT_CHAR_UCS2 charset within the
      phonebook                                              (Jens)
 * smsd updates
    o make configurable where to look for the new messages
                                                     (David Vrabel)
 * gnokiid updates
    o use correct time field from the sms structure (Daniele Forsi)
 * gnapplet driver updates
    o getprofile support                           (BORBELY Zoltan)
    o getactiveprofile support                     (BORBELY Zoltan)
    o unnecessary variables eliminated             (BORBELY Zoltan)

0.6.4
=====
 * build system updates
    o wrong permissions for gnapplet.sis             (Ville Skyttä)
    o when AC_PATH_X returns empty set of x_includes, but X11
      libraries are present in the system, configure would
      incorrectly add -I to XPM_CFLAGS                  (Pawel Kot)
    o use pq_config instead of hardcoding paths in smsd Makefile
                        (Ville Skyttä, Bradley Marshall, Pawel Kot)
    o fix MSCS debug build                  (Phil Ashby, Pawel Kot)
    o mingw-cross.sh explicitly disables X support (BORBELY Zoltan)
 * AT driver updates
    o add more workarounds for SonyEricssons            (Hugo Haas)
    o add Nokia Premicell support                    (Jonas Berlin)
    o clear empty flag when phonebook entry read   (BORBELY Zoltan)
 * gnapplet driver updates
    o fix incorrect bracketing                           (Greg Alt)
    o deletesms support                            (BORBELY Zoltan)
    o unvalidated version of getsms and deletesms  (BORBELY Zoltan)
    o unfinished movesms support                   (BORBELY Zoltan)
    o setsmscenter support                         (BORBELY Zoltan)
    o getsmscenter set the id field incorrectly    (BORBELY Zoltan)
    o getcalendarnote support                      (BORBELY Zoltan)
    o writecalendarnote support                    (BORBELY Zoltan)
    o deletecalendarnote support                   (BORBELY Zoltan)
    o various minor calendar handling fixes        (BORBELY Zoltan)
    o gettodo support                              (BORBELY Zoltan)
    o writetodo support                            (BORBELY Zoltan)
    o deletealltodos support                       (BORBELY Zoltan)
    o clear empty flag when phonebook entry read   (BORBELY Zoltan)
    o getdatetime support                          (BORBELY Zoltan)
    o setdatetime support                          (BORBELY Zoltan)
    o getalarm support                             (BORBELY Zoltan)
    o setalarm support                             (BORBELY Zoltan)
 * gnokii updates
    o initialize error variables                             (SuSE)
    o make --writephonebook --find-free work            (Pawel Kot)
    o --writephonebook does not wait infinitely for answer in the
      interactive mode; it assumes no with the incorrect answer
                                                     (Reiner Steib)
    o implement end keyword for --gettodo, --getcalendarnote,
      --deletecalendarnote and --deletephonebook        (Pawel Kot)
    o fix behaviour of --deletephonebook with 'end' keyword
                                                        (Pawel Kot)
    o --getphonebook end stops after every entry read
                                     (Marco Canini, BORBELY Zoltan)
    o search for an empty phonebook entry fixed    (BORBELY Zoltan)
    o correctly exit when the device is locked          (Pawel Kot)
 * libgnokii updates
    o fbus echo cancellation and statemachine fix  (BORBELY Zoltan)
    o todo vcalendar import/export functions was mixed
      when libical support is missing              (BORBELY Zoltan)
    o clear phonebook entry before parsing an input into it
                                                        (Pawel Kot)
    o message dumps were written into ~/.gnokii-errors if
      debugging was enabled                        (BORBELY Zoltan)
    o missing config file isn't an error           (BORBELY Zoltan)
 * xgnokii updates
    o xgnokii tried to open the HTML file according to locale set,
      be smart and try to match the best one is the default is not
      found                               (Ville Skyttä, Pawel Kot)
    o SMS window will be automatically refreshed   (BORBELY Zoltan)
    o config saving and restoring fixed            (BORBELY Zoltan)
    o enlarge room for text in 'Overwrite file?' dialogs to 255
      characters                                        (Pawel Kot)
    o correctly exit when the device is locked          (Pawel Kot)
 * 6100 driver updates
    o calendar entry types was mixed    (Pawel Kot, BORBELY Zoltan)
 * 6510 driver updates
    o add Nokia 6800 and family support            (Chris de Vidal)
    o fix incorrect set of operator_logo_width in Nokia 8310
                                                  (Giorgio Rusconi)
    o add Nokia 6610i support                    
                   (Julien LOLLIVIER, vee.lehtinen@dnainternet.net)
    o add Nokia 6650 support                       (BORBELY Zoltan)
    o capabilities was missing from Nokia 6810     (BORBELY Zoltan)
    o add Nokia 7210 support                       (BORBELY Zoltan)
    o IrDA disabled for Nokia 6610i and 7210       (BORBELY Zoltan)
    o add Nokia 6230 support                       (BORBELY Zoltan)
    o empty phonebook was reported as an error     (BORBELY Zoltan)
    o IrDA blacklist handling generalized          (BORBELY Zoltan)
    o add Nokia 7250 and 7250i support             (BORBELY Zoltan)
    o Nokia 7250 and 7250i blacklisted             (BORBELY Zoltan)
    o Nokia 5100 blacklisted                       (BORBELY Zoltan)
 * portability changes
    o NetBSD also fall into unices category     (Richard M Kreuter)
    o NetBSD needs the same tricks as OpenBSD and FreeBSD in
      utils/mgnokiidev.c and common/data/virtmodem.c
                                                (Richard M Kreuter)
 * documentation updates
    o update gnokii.1 manpage                        (Reiner Steib)
    o update gnokii-ir-howto: mention Nokia models it describes,
      add note about USB adapters and fix some typos    (Pawel Kot)
 * gnokiid updates
    o caller id support added to AT emulator        (Daniele Forsi)
    o don't segfault when the device is locked          (Pawel Kot)
 * 7110 driver updates
    o empty phonebook was reported as an error     (BORBELY Zoltan)
 * 3110 driver updates
    o model number 2501 added                      (BORBELY Zoltan)
 * smsd updates
    o support for drivers without GN_OP_GetSMSStatus (Jan Derfinak)
    o correctly exit when the device is locked          (Pawel Kot)

0.6.3
=====
 * portability fixes
    o build atsoer.c under MSVC                        (Phil Ashby)
    o remove not used win32/fcopy.bat                   (Pawel Kot)
 * build system updates
    o build intl/ only when it's needed                 (Pawel Kot)
 * libgnokii changes
    o protect atsoer.h with _gnokii_atsoer_h, not _gnokii_ateric_h
                                                       (Phil Ashby)
    o use correct declaration of locale_charset()       (Pawel Kot)

0.6.2
=====
 * portability fixes
    o Windows portability fixes                    (BORBELY Zoltan)
    o fix FreeBSD build: don't include stdint.h explicitely
                                                    (Shawn Kennedy)
    o fix Windows build (link gnapplet to libgnokii.dll)(Pawel Kot)
    o pkt.c was missing from the Windows build     (BORBELY Zoltan)
    o serial_opendevice sets handshake and speed in the
      win32 version too                            (BORBELY Zoltan)
    o add irda support for Windows systems             (Phil Ashby)
 * build system updates
    o update Slackware build scripts; we have now 2 scripts to
      to build with and without X11 support             (Pawel Kot)
    o add the information about possibility to have smaller
      binaries with MSVC                               (Phil Ashby)
    o add buildin irda for WIN32 in the Makefile       (Phil Ashby)
    o add direct.h detection                            (Pawel Kot)
    o try to correctly link with all needed libs (libintl and
      libiconv)                                         (Pawel Kot)
    o fix MSVC build                        (Phil Ashby, Pawel Kot)
    o document environmental variables for configure script
                                                        (Pawel Kot)
    o let ./configure --with-included-gettext work correctly --
      fix undeclared INSTALLPREFIX macro (taken from libiconv)
                                                        (Pawel Kot)
    o correctly add linking libraries where needed      (Pawel Kot)
    o add m4 macros to allow harmless CVS build on all(?) platforms
                                                        (Pawel Kot)
    o fix misc compilation warnings                     (Pawel Kot)
 * gnapplet series updates
    o folder management support (list, status, create,
      delete) support added                        (BORBELY Zoltan)
    o getsms support                               (BORBELY Zoltan)
    o sms status request support                   (BORBELY Zoltan)
    o minor phonebook reading/writing cleanup      (BORBELY Zoltan)
    o sendsms support                              (BORBELY Zoltan)
    o getsmscenter support                         (BORBELY Zoltan)
 * gnokii updates
    o --showsmsfolderstatus added                  (BORBELY Zoltan)
    o folder id display fix in --deletesmsfolder   (BORBELY Zoltan)
    o escape semicolons from phonebook fields in the csv output
                                                        (Pawel Kot)
    o display --getsecuritycodestatus error code   (BORBELY Zoltan)
    o link with irda libraries on win32 build          (Phil Ahsby)
 * libgnokii updates
    o understand escaped semicolon in the phonebook csv input
                                                        (Pawel Kot)
    o allow to write empty name and empty number for the phonebook
                                                        (Pawel Kot)
    o add sanity check for null pointers to links/* files - it
      seems to be the problem when using gnocky         (Pawel Kot)
    o clear strings before using them in phonebook reading
                                                   (Dmitry Astapov)
    o display rfcomm_channel parameter at startup  (BORBELY Zoltan)
    o fix sms timestamp export/import              (BORBELY Zoltan)
    o allow to open other config files than /etc/gnokiirc and
      $HOME/.gnokiirc                                   (Pawel Kot)
    o the new cfgreader skipped /etc/gnokiirc      (BORBELY Zoltan)
    o fix usage of char_unicode_encode() and pnok_string_encode():
      check the return code                             (Pawel Kot)
    o try to get rid of 'bindir' config variable, it is usable only
      for gnokiid, but let's stay backward compatible   (Pawel Kot)
    o at_dprintf() emitted debug messages unconditionally
                                                   (BORBELY Zoltan)
    o new error codes for SIM related problems     (BORBELY Zoltan)
    o packet dump was incorrect when len % 16 == 0 (BORBELY Zoltan)
    o gnokii_strsplit() crash bug fixed            (BORBELY Zoltan)
    o use libical as the primary vCal handling way      (Pawel Kot,
                                                   Martin Goldhahn)
    o split up shared part of !HAVE_IRDA to a separate file
                                                        (Pawel Kot)
    o clean up irda code: headers usage, etc            (Pawel Kot)
    o add support for writing calendar and todo entries in vCal
      format even if there's no libical in the system   (Pawel Kot)
    o use af_irda header as the system one, not gnokii specific
                                                        (Pawel Kot)
 * xgnokii updates
    o escape semicolons from phonebook fields in the csv output
                                                        (Pawel Kot)
    o generate the same output with phonebook export as gnokii
                                                        (Pawel Kot)
    o accept long phonebook lines (import and export)   (Pawel Kot)
    o fix mixed name/number entry field usage        (Peter Grandi)
    o don't force file mode on installation where not necessary
      (install -m mode)                   (Ville Skyttä, Pawel Kot)
    o update html documentation                         (Pawel Kot)
 * nk6510 series updates
    o added Nokia 3595 to the supported models  (Gunnar Sigurdsson)
    o don't refuse to work with Nokia 6100 with configuration other
      then Linux/IrDA                                   (Pawel Kot)
    o handle empty calentar entries not as an error     (Pawel Kot)
 * AT series updates
    o findcrlfbw() overrun at the beginning        (BORBELY Zoltan)
    o unsolicited network info (+CREG) dropped     (BORBELY Zoltan)
    o extra spaces skipped in the identify replies (BORBELY Zoltan)
    o network code can be specified without quotes (BORBELY Zoltan)
    o GetSecurityCodeStatus fixed                  (BORBELY Zoltan)
    o extended error handling (CME and CMS erros)  (BORBELY Zoltan)
    o SetPDUMode was missing from GetSMS           (BORBELY Zoltan)
    o GetNetworkInfo won't crash if there's no net (BORBELY Zoltan)
    o use correct encoding on SonyEricsson (ie. encode everything
      way)                                              (Hugo Hass)
 * nk7110 series updates
    o handle empty calentar entries not as an error     (Pawel Kot)
 * smsd updates
    o finish libtoolization: use *.lo objects instead of *.o to
      avoid mixing fPIC (libgnokii) and non-fPIC (smsd) code
                                          (Ville Skyttä, Pawel Kot)

0.6.1
=====
 * libgnokii updates
    o bump the version number                      (BORBELY Zoltan)
    o wctomb() second argument should be 0, not NULL    (Pawel Kot)
    o update gn_phone_model[] from
      http://homepage.mac.com/alvinmok/nokia/firmware.html
                                        (BORBELY Zoltan, Pawel Kot)
    o gn_file_phonebook_read marks entry non-empty (BORBELY Zoltan)
    o log settings will be printed                 (BORBELY Zoltan)
    o build problem without struct timeval fixed        (Pawel Kot)
 * build system updates
    o require flex at rpm build time            (Olivier Kaloudoff)
    o it appears that we had backward compatibility problem since
      changing to use libtool -- if you overinstalled the sources
      manually with the shared lib, not removing it before,
      ldconfig used old libraries assuming that 1.X is newer then
      1.0.Y; we're bumping major version number to 2 to avoid the
      confusion                                         (Pawel Kot)
    o when building the release tarball, apply all patches from
      patches/ subdir                                   (Pawel Kot)
    o when building the release tarball we first make vcal.c with
      flex and then clean it with 'make distclean'; fix it keeping
      in mind that 'make -C common vcal.c' won't work after 'make
      distclean'                                        (Pawel Kot)
    o get gnapplet.sis for the tarball and install it when present
                                                        (Pawel Kot)
 * gnokii updates
    o accept range in --deletephonebook            (BORBELY Zoltan)
    o deletephonebook initialisation fix           (BORBELY Zoltan)
    o getphonebook didn't show the date field correctly
                                                   (BORBELY Zoltan)
 * documentation updates
    o update TODO to reflect real issues                (Pawel Kot)
    o mention default caller groups in the manpage   (Reiner Steib)
    o update INSTALL file to match autogen.sh contents  (Pawel Kot)
    o added Docs/README-Symbian                    (BORBELY Zoltan)
 * xgnokii updates
    o contacts won't save a trailing semicolon     (BORBELY Zoltan)
 * gnapplet series updates
    o gnapplet support added                       (BORBELY Zoltan)
    o minimal phonebook management support         (BORBELY Zoltan)
    o GetMemoryStatus support added                (BORBELY Zoltan)
    o DC/MC/RC memory handling added               (BORBELY Zoltan)
    o Identify will cache the result               (BORBELY Zoltan)
    o network info and rf level support added      (BORBELY Zoltan)
    o power source and battery level support added (BORBELY Zoltan)
    o gnapplet receives and prints debug messages  (BORBELY Zoltan)
    o SX1 added as a supported model               (BORBELY Zoltan)
    o 6600 added as a supported model              (BORBELY Zoltan)
 * link layer updates
    o gnbus treats IrDA as serial                  (BORBELY Zoltan)
 * AT series updates
    o simplify code adding at_decode and at_encode functions doing
      the right thing for the given encoding            (Hugo Hass)

0.6.0
=====
 * libgnokii updates
    o added 5210 information                            (Pawel Kot)
    o typo: use __unices__ instead of unices            (Pawel Kot)
    o let gnokii understand X_GSM_* fields in vCard file; these
      fields are gnokii internal thing and set memory type,
      location and caller group                         (Pawel Kot)
    o fix spelling: OCASSION->OCCASION; it makes calendar import
      to work ok                       (Pawel Kot, Costin Grigoras)
    o add support for repeat (recurrence) for meeting and call
      calendar events (when reading)                    (Pawel Kot)
    o correctle read bitmap names from the phone        (Pawel Kot)
    o extract decodephonebook from gnokii and export it from
      libgnokii as gn_file_phonebook_raw()              (Pawel Kot)
    o better debugging support                     (BORBELY Zoltan)
    o reset character enc/dec state    (Bao Haojun, BORBELY Zoltan)
    o better unicode encoded sms length calculation
                            (Bao Haojun, Pawel Kot, BORBELY Zoltan)
 * AT series updates
    o try to handle correctly sms empty location        (Pawel Kot)
    o use actual encoding when reading network information
                                                       (Igor Popik)
    o remove leading spaces from the model information introduced
      by earlier changes                              (Ron Yorston)
    o handle Motorola C350 way of memory status checking
                                                      (Ron Yorston)
    o if the phone doesn't report used/total memory return
      GN_ERR_NOTSUPPORTED                             (Ron Yorston)
 * 6100 series updates
    o add support for DeletePhonebook              (BORBELY Zoltan)
 * gnokii updates
    o GNOKIIDLL_IMPORTS required on win32 platform (BORBELY Zoltan)
    o set default values of memory type and location to the sane
      values when using --writephonebook                (Pawel Kot)
    o output repeat/recurrence value when reading calendar entry
                                                        (Pawel Kot)
    o clean the structures so we don't have garbage from the
      previous loop when reading multiple calendar entries
                                                        (Pawel Kot)
    o extract decodephonebook from gnokii and export it from
      libgnokii as gn_file_phonebook_raw()              (Pawel Kot)
 * documentation updates
    o add short description of --getphonebook raw format to the
      gnokii manual page                  (Pawel Kot, Reiner Steib)
    o add different memory types description to the gnokii manual
      page                                           (Reiner Steib)
    o Nokia 7250i seems to have the same bug(?) as 6100
                                                      (Hadley Rich)
    o update information on AT tested phones            (Pawel Kot)
 * nk6510 series updates
    o handle correctly the case with more then 50 calendar entries
      in the phone; previous fix missed some chunks     (Pawel Kot)
    o Nokia 8310 has different logo sizes and battery indicator
                                                   (The Ribena Kid)
 * xgnokii changes
    o be compatible with gnokii -- use ME/SM instead of A/B for
      phone/simcard memory when saving/reading phonebook entry
                                          (Reiner Steib, Pawel Kot)
    o use gn_file_phonebook_raw() instead of ParseLine() (finally!)
                                                        (Pawel Kot)
    o add proper checking of GetMemoryStatus return code
                                                      (Ron Yorston)
 * build system updates
    o reflecting smsd libtoolization in packages   (BORBELY Zoltan)
    o configure enables debugging support          (BORBELY Zoltan)
    o disable nls support when neither xgettext nor msgfmt is
      found, we're not able to build po/ then           (Pawel Kot)
 * translation updates
    o new Polish translation                (Daniel Koć, Pawel Kot)

0.5.10
======
 * maintainance updates
    o ftp.gnokii.org does not exist                     (Pawel Kot)
    o mygnokii apparently does not exist (it is called gammu now),
      and it seems that it may be not compatible with sendsms
                                                        (Pawel Kot)
    o don't say that gnokii is Nokia only in the spec file
                                                        (Pawel Kot)
    o also we are not Linux/Unix only                   (Pawel Kot)
    o update manpage                                    (Pawel Kot)
 * build system updates
    o update spec file to install all libs              (Pawel Kot)
    o sync Debian build files with Debian mainstream package
                                                        (Pawel Kot)
    o more improvements to make install variants        (Pawel Kot)
 * libgnokii updates
    o correctly use gn_ringtone->notes_count; this is unsigned char
      and therefore it will be always less then
      GN_RINGTONE_MAX_NOTES which is 256                (Pawel Kot)
    o add support for explicit DeletePhonebook entry: AT, nk7110,
      nk6510 drivers and gnokii have it implemented    (Igor Popik,
                                                         Pawel Kot)
    o temporary fix for the memory corruption caused by strings
      decoding; proper solution will be to change the signature of
      encoding/decoding functions adding an extra parameter with
      the maximal leghth of the bytes to be written     (Pawel Kot)
    o fix char_ucs2_encode                             (Igor Popik)
 * AT series updates
    o getnetworkinfo always terminates the result  (BORBELY Zoltan)
    o manufacturer for +CGMI request can be quoted    (Ron Yorston)
    o name string with phonebook entry may not be quoted
                                                      (Ron Yorston)
    o avoid crash in AT_DeletePhonebook                 (Pawel Kot)
    o add support for answering and hanging up the call
                                                       (Igor Popik)
 * 6510 series updates
    o don't require to have any subentries filled in when writing
      phonebook entry                                   (Pawel Kot)
    o fix uncorrect call of PackBlock                (Reiner Steib)
 * 7110 series updates
    o don't require to have any subentries filled in when writing
      phonebook entry                                   (Pawel Kot)
 * smsd updates
    o libtoolization finished                      (BORBELY Zoltan)
 * 3110 series updates
    o fix alternate range of sequence numbers       (Osma Suominen)
 * xgnokii updates
    o set default browser to preview the help pages to mozilla as
      it seems to be much popular then netscape these days (seen
      in FreeBSD patches)                               (Pawel Kot)
 * gnokii updates
    o reorganize --help output                          (Pawel Kot)

0.5.9
=====
 * maintainance updates
    o supress compilation warnings                      (Pawel Kot)
    o caller group name and ringtone will be shown (BORBELY Zoltan)
    o install po/ directory with make install         (Guido Falsi)
    o libtool support added              (PLD Team, BORBELY Zoltan)
    o mingw cross compilation fixes                (BORBELY Zoltan)
    o update po files                                   (Pawel Kot)
    o update config/ to the more recent versions        (Pawel Kot)
    o use replacement libintl when required        (BORBELY Zoltan)
    o configure generated po/Makefile twice        (BORBELY Zoltan) 
    o fix incorrect escaping in configure.in       (BORBELY Zoltan)
    o better win32 dll support          (Pawel Kot, BORBELY Zoltan)
    o make Debian users happy: tarball will contain debian
      directory already on the place                    (Pawel Kot)
 * smsd updates
    o update README with some module clarification      (Pawel Kot)
 * xgnokii updates
    o don't segfault on incorrect initialization        (Pawel Kot)
 * 6100 series updates
    o uninitalised stack variable in IdentifyPhone (BORBELY Zoltan)
 * libgnokii updates
    o fix memory leaks reported by valgrind             (Pawel Kot)
    o try to avoid segfault with large phonebook reading
                                                        (Pawel Kot)
    o fix the bug reported by Peter Gervai that gnokii is unable to
      read calendar with more then 220 entries; fix corrects
      nk6510 and nk7110 drivers                         (Pawel Kot)
    o __declspec(dllimport) is required if someone using a
      win32 gnokii.dll                             (BORBELY Zoltan)
    o utf8 handling without nl_langinfo(CODESET)   (BORBELY Zoltan)
    o subentry number field enlarged                 (Helge Deller)
 * 6510 series updates
    o disable Nokia 6100 support: IT IS KNOWN TO BREAK PHONES
                                                        (Pawel Kot)
    o getsmsc will use the correct smsc name len   (BORBELY Zoltan)
 * gnokii updates
    o playringtone won't play an endless note      (BORBELY Zoltan)

0.5.8
=====
 * maintainance updates
    o update make_dist script to reflect tar.bz2 file build
                                                        (Pawel Kot)
    o don't build unixirda.c, unixbluetooth.c and osxbluetoooth.c
      under win32                                       (Pawel Kot)
    o use $(CC) detected by configure instead of hardcoded gcc
      in smsd Makefile; taken from FreeBSD port       (Guido Falsi)
    o do make install only in the dirs where there's something
      to install; inspired by FreeBSD port patches      (Pawel Kot)
    o let make gnokii-debug in common/ with debug and xpm enabled
                                                        (Pawel Kot)
    o build and install libgnokii.a unconditionally     (Pawel Kot)
 * 6510 series updates
    o added Nokia 3510i to the supported phones list
                                                    (Rafal Czlonka)
    o new error code when writing phonebook             (Pawel Kot)
 * documentation updates
    o FAQ update and synchronize with WWW version       (Pawel Kot)
    o rttl is rtttl (ringing tone text transfer language
                                                   (Torsten Kunkel,
                                                         Pawel Kot)
    o reflect the changes on savannah, our host site    (Pawel Kot)
    o fix a typo causing formatting error in gnokii.1
                                                   (Torsten Kunkel)
 * libgnokii changes
    o rttl is rtttl (ringing tone text transfer language (changes
      internal API                                 (Torsten Kunkel,
                                                         Pawel Kot)
    o country and operator codes and names updated from
      www.gsmworld.com                         (Krzysztof Koziarek,
                                                         Pawel Kot)
    o operator and country name search should be case insensitive
                                                       (Igor Popik,
                                                         Pawel Kot)
    o return international strings when no matching
      operator/country name was found for the given code
                                                        (Pawel Kot)
    o add gnokii_strsplit() and gnokii_strfreev() to ease AT
      commands parsing                                 (Igor Popik)
 * AT series updates
    o support for make call command                    (Igor Popik)
    o set data->phonebook_entry->empty when the phonebook location
      is empty                                         (Igor Popik)
    o implement GetNetworkInfo                         (Igor Popik)
 * gnokii changes
    o handle argument correctness to getphonebook       (Pawel Kot)
    o gnokii --help didn't show the real --writephonbook usage
                                                        (Pawel Kot)
    o gnokii --writephonebook for multiple addresses was
      interrupted on the first error                    (Pawel Kot)
    o gnokii --writephonebook does not return an error with the
      last line (which is empty)                        (Pawel Kot)

0.5.7
=====
 * 6110 series updates
    o missing German characters added              (BORBELY Zoltan)
    o call status query function added             (BORBELY Zoltan)
 * 7110 series updates
    o raw ringtone upload/download support added   (BORBELY Zoltan)
    o ringtone upload/download/list support added  (BORBELY Zoltan)
    o SetProfile implemented                       (BORBELY Zoltan)
 * 6510 series updates
    o keyboard emulation isn't working, only up and down messages
      are known                                    (BORBELY Zoltan)
    o call management functions implemented        (BORBELY Zoltan)
    o add 3510 to the supported models list             (Dirk Meul)
 * AT series updates
    o GetSMSStatus implemented                     (BORBELY Zoltan)
 * portability fixes
    o libgnokii.dsp (Visual Studio) updated        (BORBELY Zoltan)
    o VC debug and release flags differs                    (Ender)
    o extern symbols marked                        (BORBELY Zoltan)
    o Bluetooth support on Mac OSX
                         (Olivier Kaloudoff, Siegfried Schloissnig)
    o Bluetooth support on FreeBSD                 (BORBELY Zoltan)
    o Mac OSX bluetooth code fixes              (Olivier Kaloudoff)
    o Minor bugs found during the 2003-09-16 -> latest
      changeset review                             (BORBELY Zoltan)
 * translations updates
    o Estonian translation updated                  (Hans Motshärg)
    o French translation updated                (Olivier Kaloudoff)
 * libgnokii updates
    o utf8 encoding/decoding fixed                 (BORBELY Zoltan)
    o too many lost reply caused phone lockups     (BORBELY Zoltan)
    o new operators in Finland                       (Timo Metsälä)
    o rfcomm_channel config option added           (BORBELY Zoltan)
    o call management API updated                  (BORBELY Zoltan)
 * gnokii updates
    o phone keyboard emulation reports only errors (BORBELY Zoltan)
    o usage of the sendsms and getcalendarnote will be sent
      to the appropriate device                   (Martin Goldhahn)
    o "end" keyword added to getcalendarnote      (Martin Goldhahn)
 * Documentation updates
    o network registration message updated         (Rodolfo Hansen)

0.5.6
=====
 * 6510 series updates
    o GetRawRingtone reply differs on 6310         (BORBELY Zoltan)
    o GetSMSFolders hardcoded blocklen fixed  (Michael H. Warfield)
    o GetRingtoneList command added                (BORBELY Zoltan)
    o This driver will support the 5100 model         (Peter Pilsl)
    o ringtone handling unified                    (BORBELY Zoltan)
    o PlayTone support added                       (BORBELY Zoltan)
    o DeleteRingtone support added                 (BORBELY Zoltan)
    o smsc format parsed incorrectly               (BORBELY Zoltan)
 * 6110 series updates
    o phonebook reading fixes                      (BORBELY Zoltan)
    o add nokia 3390 to supported models           (BORBELY Zoltan)
    o GetRingtoneList for 61xx models added        (BORBELY Zoltan)
    o ringtone handling unified                    (BORBELY Zoltan)
    o datacall cleanup                             (BORBELY Zoltan)
    o DeleteRingtone support added                 (BORBELY Zoltan)
    o CB and PhoneStatus disabled on NSE-8 (3210)  (BORBELY Zoltan)
    o character encoding fixed                     (BORBELY Zoltan)
 * 7110 series updates
    o ringtone handling unified                    (BORBELY Zoltan)
 * gnokiid updates
    o double free bug eliminated from mgnokiidev   (BORBELY Zoltan)
    o traditional pty support fixed                (BORBELY Zoltan)
    o easily locateable and unique error messages  (BORBELY Zoltan)
 * gnokii updates
    o writephonebook fixes                         (BORBELY Zoltan)
    o getringtonelist command added                (BORBELY Zoltan)
    o getprofile shows the real ringtone name      (BORBELY Zoltan)
    o deleteringtone command added                 (BORBELY Zoltan)
    o sendlogo won't load different logo type      (BORBELY Zoltan)
    o missing break between vcard and ldap part (Vincent Glotzbach)
 * libgnokii updates
    o Nokia 6250 has irda                               (Pawel Kot)
    o utf8, base64 and LDIF export fix            (Martin Goldhahn)
    o RLP fixes (SABM retransmission, Conn_Req)    (BORBELY Zoltan)
    o AT emulator improved                         (BORBELY Zoltan)
    o dct3/4 raw ringtones handled differently     (BORBELY Zoltan)
    o TCP device added to the phone drivers        (BORBELY Zoltan)
    o portability fixes                            (BORBELY Zoltan)
    o new operator in Israel                     (Gilad Ben-Yossef)
 * Documentation updates
    o nk6510 ringtone handling messages updated    (BORBELY Zoltan)
    o nk6510 getsmsc request/response updated      (BORBELY Zoltan)
 * xgnokii updates
    o ringtone editor crash bug fixed              (BORBELY Zoltan)
    o ringtone editor enhanced                     (BORBELY Zoltan)
 * translation updates
    o updated French translation                (Olivier Kaloudoff)
 * build system updates
    o packaging file for mingw-cross build         (BORBELY Zoltan)

0.5.5
=====
 * translation updates
    o gettext 0.12.x requires MSGID_BUGS_ADDRESS variable in
      po/Makevars                                       (Pawel Kot)
    o updated French translation                (Olivier Kaloudoff)
 * 6110 series updates
    o PlayTone message and documentation fixed     (BORBELY Zoltan)
    o get_locks_info and play_tone moved to nokia  (BORBELY Zoltan)
    o GetRingtone support added                    (BORBELY Zoltan)
 * 7110 series updates
    o PlayTone implemented                         (BORBELY Zoltan)
    o GetLocksInfo implemented                     (BORBELY Zoltan)
    o GetProfile implemented                       (BORBELY Zoltan)
 * 6510 series updates
    o Nokia 6100 support added                     (Tobias Gebhard)
    o GetRawRingtone, SetRawRingtone added         (BORBELY Zoltan)
    o GetRingtone, SetRingtone emulation added     (BORBELY Zoltan)
 * libgnokii changes
    o Tomi Ollila's readmidi.c added               (BORBELY Zoltan)
    o Nokia raw ringtone conversion functions      (BORBELY Zoltan)
    o initial midi writing support                 (BORBELY Zoltan)
    o various ringtone fixes                       (BORBELY Zoltan)
    o nokia raw ringtone handling improved a lot, it can parse
      most of the built-in ringtones of the 6610   (BORBELY Zoltan)
    o fix concatenated sms support for unicode text     (Pawel Kot)
 * Documentation updates
    o nk7110 profile reading messages updated      (BORBELY Zoltan)
    o nk6510 raw ringtone get/set messages added   (BORBELY Zoltan)
 * gnokii changes
    o ringtoneconvert support added                (BORBELY Zoltan)
    o playringtone updates and fixes               (BORBELY Zoltan)
 * xgnokii updates
    o Tomi Ollila's xring added and modified       (BORBELY Zoltan)

0.5.4
=====
 * win32 port updates
    o bump the version number                           (Pawel Kot)
    o fix compilation warnings                          (Pawel Kot)
    o read() needs #include <io.h>                      (Pawel Kot)
    o use \033 escape sequence instead of \e            (Pawel Kot)
    o fix incorrect paths in libgnokii.dsp              (Pawel Kot)
    o add ldif.c to libgnokii.dsp                       (Pawel Kot)
    o *.dsp files need \r\n line terminating            (Pawel Kot)
    o gnokiid.lib needs to be in $(ProjDir) not in $(ProjDir)\lib
                                                        (Pawel Kot)
 * libgnokii fixes
    o fix the argument order in base64_encode() caller  (Pawel Kot)
 * gnokii fixes
    o fix deletesmsfolder(): incorrect struct field was examined
                                                        (Pawel Kot)
    o comment out useless code                          (Pawel Kot)

0.5.3
=====
 * code cleanups
    o change error paths in getactiveprofile/setactiveprofile
                                                         (Pawel Kot)
    o FreeBSD 5.x compilation fix                   (BORBELY Zoltan)
    o be sure to include all flags to gnokii.pc          (Pawel Kot)
    o return the correct type value from phonet_send_message()
                                                         (Pawel Kot)
    o use #defines instead of magic numbers when handling the
      phonebook                                          (Pawel Kot)
    o profile constants moved from gnokii-app.h     (BORBELY Zoltan)
 * statemachine changes
    o add function sm_block_ack(), needed by nk3110  (Osma Suominen)
    o remove hack that made it possible to call sm_block*
      independently of sm_message_send(), as doing so creates a
      race condition                                 (Osma Suominen)
 * 3110 series updates
    o rewrite of fbus-3110 code: differentiate properly between
      acks and commands, initial support for RLP frames, bugfixes,
      acks recognized by seqno not by message type   (Osma Suominen)
    o use sm_block_ack(), avoiding some races        (Osma Suominen)
    o rm msgtypes that never happen b/c of folding   (Osma Suominen)
    o support RLP frames in nk3110 driver code       (Osma Suominen)
    o support for making calls [only voice tested]   (Osma Suominen)
    o keep seqno on retries; detect duplicate seqnos (Osma Suominen)
 * gnokii changes
    o --help switch should work when there's no config file
      (suggested by Pavel Janik)                         (Pawel Kot)
    o --playringtone implemented       (Tomi Ollila, BORBELY Zoltan)
    o when printing vCal file and date field, separate date and time
     fields with capital T; small t caused Mozilla Calendar to
     confuse                                             (Pawel Kot)
    o add phonebook LDIF support; more reliable writephonebook()
                                                         (Pawel Kot)
 * 6110 series updates
    o PlayTone implemented                          (BORBELY Zoltan)
    o GetMemoryStatus returns invalid memory type instead of
      internal error if type isn't supported        (BORBELY Zoltan)
    o prepaid info message marked unsolicited       (BORBELY Zoltan)
    o sms status message can crash the driver       (BORBELY Zoltan)
 * xgnokii fixes
    o do not free message previously added to GSList  (Josef Zlomek)
    o strip spaces from the number to be saved to the addressbook
                                                         (Pawel Kot)
 * build system updates
    o avoid warnings on Linux when irda headers are detected
                                                         (Pawel Kot)
    o linux/irda.h requires linux/types.h too       (BORBELY Zoltan)
    o use INSTALL_DATA instead of INSTALL for xgnokii (Ville Skyttä)
    o mingw cross compilation support               (BORBELY Zoltan)
 * libsms fixes
    o allow to input more then 160 characters for the text sms
                                                         (Pawel Kot)
    o bring back to life sending text concatenated messages
                                                         (Pawel Kot)
 * 6510 series updates
    o handle writephonebook error when incorrect characters
      are attempted to be saved in the number            (Pawel Kot)
    o handle another writephonebook error (empty block)  (Pawel Kot)
    o fix stupid bug in deletesms()                      (Pawel Kot)
 * Documentation updates
    o add missing manual pages for executables           (Pawel Kot)
    o add a file with a history of the API changes       (Pawel Kot)
 * libgnokii changes
    o fix vCal support; there can be multiple whitechars between
      key and colon                                      (Pawel Kot)
    o add experimental and simple LDIF support; we will be able
      to import/export eg. Mozilla Addressbook           (Pawel Kot)
    o add new function gn_memory_type2str()              (Pawel Kot)
    o don't clear gn_phonebook_entry when reading vCard or
      LDIF file -- caller may have already prepared something
      (defaults)                                         (Pawel Kot)
    o add sanitize functions: phones (at least Nokia) do not accept
      numbers with whitespaces in the phonebook;
      gn_phonebook_entry_sanitize() and gn_number_sanitize() can
      be used to remove white characters either from all number
      entries in the phonebook or in a single number     (Pawel Kot)
    o add base64 and utf8 support       (Pawel Kot, Martin Goldhahn)
    o use base64 encoding for non ascii entries in ldif addressbook
      (for Mozilla)                     (Pawel Kot, Martin Goldhahn)

0.5.2
=====
 * build system updates
    o build also bz2 archive                             (Pawel Kot)
    o use INSTALL_DATA variable from the configure script
                                                      (Ville Skyttä)
    o update INSTALL installation notes                  (Pawel Kot)
 * translations updates
    o Estonian translation updated                   (Hans Motshärg)
    o added French translation                   (Olivier Kaloudoff)
 * 3110 series updates
    o Phonebook support added                        (Osma Suominen)
    o Prevent race condition in getsms code          (Osma Suominen)
    o prevent garbage in debug output in getsms      (Osma Suominen)
 * utils updates
    o use --getphonebook and not --getmemory in sendsms utility
                                                      (Ville Skyttä)
 * smsd updates
    o make smsd install compliant with FHS            (Ville Skyttä)
 * gnokii updates
    o --[gs]etactiveprofile added                   (BORBELY Zoltan)
    o --monitor accepts delay as an argument        (BORBELY Zoltan)
    o error messages cleanups                            (Pawel Kot)
 * 6110 series updates
    o GN_OP_[GS]etActiveProfile implemented         (BORBELY Zoltan)
 * xgnokii fixes
    o sorting by date fixed in the sms window       (BORBELY Zoltan)
 * AT series fixes
    o fix logic inversion error on terminating the connection which
      caused weired effect with connection set to incorrect value
                                                         (Pawel Kot)

0.5.1
=====
 * link layer updates
    o making fbus layer reentrant, it will fix possible
      smsreader problems            (Keary Griffin & BORBELY Zoltan)
 * general fixes
    o caller logo sending fixed                   (Anton V.Dorofeev)
    o missing <stdarg.h> include in gnokii.h (for va_list)
                                                         (Pawel Kot)
    o fix segfault when using locking and bluetooth connection
      (in general -- when there's no '/' char in the port config
      variable)                                          (Pawel Kot)
 * 6110 series updates
    o "calendar functions busy" messages handled    (BORBELY Zoltan)
 * gnokii updates
    o vCalendar export fixed                        (BORBELY Zoltan)
    o exit with 1 code (not 0) when incorrect options were given
      to gnokii                                          (Pawel Kot)
 * portability fixes
    o there's no /var/lock directory on Solaris, use /var/run
      instead                                            (Pawel Kot)

0.5.0
=====
 * general fixes
    o fix vcard export                              (Florian Lohoff)
    o fix IrDA connection (broken by Bluetooth updates)  (Pawel Kot)
    o fix SMS sending                                    (Pawel Kot)
    o fix SMS reading                                    (Pawel Kot)
 * documentation updates
    o mention that we support Bluetooth            (Marcel Holtmann)
 * portability updates
    o stdlib.h included from compat.h                    (Pawel Kot)
 * gnokii updates
    o GetSMSCenter called for sendringtone          (BORBELY Zoltan)

0.5.0rc4
========
 * portability updates
    o include <sys/types.h> in compat.h -- should cleanup
      compilation on some systems (eg OpenBSD)           (Pawel Kot)
    o uint8_t will be defined only if there's no stdint.h
      and inttypes.h                                (BORBELY Zoltan)
    o abort configure if libiconv.h cannot be found (BORBELY Zoltan)
    o say "no" when IrDA support is not enabled          (Pawel Kot)
    o Solaris has gethostbyname() in -lnsl, detect it    (Pawel Kot)
 * api changes
    o don't use UpperCase variable names in API but lower_case
                                                         (Pawel Kot)
 * cleanups
    o reorder exported headers: don't include unneccesary headers,
      be sure to have all things defined (currently Linux and MSVC6)
                                                         (Pawel Kot)
    o do the same for Solaris                            (Pawel Kot)
    o and hopefully for other supported OSes             (Pawel Kot)
    o don't modify const variable                        (Pawel Kot)
    o use the correct order in linking xgnokii           (Pawel Kot)
    o don't expose rfcomm channel to the config file, autodetect
      the correct channel                          (Marcel Holtmann)
 * general updates
    o Bluetooth support for FBUS mode in nk6510 series   (Pawel Kot,
                                                    Marcel Holtmann)
    o don't loop forever with irda/bluetooth connection  (Pawel Kot)
    o translate Bluetooth address in much nicer way
                                                   (Marcel Holtmann)

0.5.0rc3
========
 * general updates
    o add pkg-config support                             (Pawel Kot)
    o use major and minor versions and soname for libgnokii
                                                         (Pawel Kot)
    o portability fixes for OpenBSD                 (BORBELY Zoltan)
    o F_SETOWN disabled for OpenBSD                      (Pawel Kot)
    o u8 removed from gn_ringtone_pack                (Helge Deller)
    o updates to spec file; rpm 4.x required    (Tom G. Christensen)
    o more updates to spec file                 (Tom G. Christensen)
    o get rid of HAVE_BLUETOOTH in the exported header   (Pawel Kot,
                                                    Marcel Holtmann)
    o #ifdef @HAVE_BLUETOOTH_EXP@ should be
      #if @HAVE_BLUETOOTH_EXP@                           (Pawel Kot)
    o information about ldconfig, /etc/ld.so.conf and such
      after issuing 'make install'                       (Pawel Kot)
    o report "Bluetooth: no" in the configure summary when
      bluetooth libraries are not found                  (Pawel Kot)
 * cbus update                                      (Ladislav Michl)
 * nk7110 driver updates
    o get rid of global variables                   (Ladislav Michl)
 * documentation updates
    o cell buzzer messages added to nk6160          (Eduardo Garcia)

0.5.0rc2
========
 * general updates
    o fix stupid typo in fbus.c causing Bluetooth not work
                                                   (Marcel Holtmann)
    o s/Janík/Janik/ in the translatable strings         (Pawel Kot)
    o don't use u8 type in the exported headers          (Pawel Kot)
    o add string.h to mgnokiidev                  (Troy Korjuslommi)
    o mention exiting Docs/Bugs and not Docs/Reporting-HOWTO when
      coming into trouble                             (Helge Deller)
    o Nokia 3650 information                             (Pawel Kot)
 * statemachine updates
    o fix u16/unsigned int mixing problems in the statemachine
      and link layer              (Troy Korjuslommi, BORBELY Zoltan)
 * bitmaps handling updates
    o switch black and white in bmp handling                 (Polik)
    o read BMP with --viewlogo as operator logo and fix segfault
      on --viewlogo with BMP                             (Pawel Kot)
 * nk6510 driver updates
    o handle correctly the case when incorrect phonebook entry
      was attempted to write to the phone                (Pawel Kot)

0.5.0rc1
========
 * build system updates
    o don't exit configure when no pthread library is present
      in the system                                      (Pawel Kot)
    o check for stdint.h include                         (Pawel Kot)
 * nk7110 driver updates
    o fix dlr3p support                                  (Pawel Kot)

0.5.0pre11
==========
 * let configure check for <sys/file.h>                  (Pawel Kot)
 * more header cleanups: use #include <gnokii.h> instead of
   #include <gnokii/*.h>                                 (Pawel Kot)

0.5.0pre10
==========
 * general updates
    o move include files into their final(?) destination (Pawel Kot)
    o disable dancall support in 0.5 release        (Ladislav Michl)
    o supress u8, u16 and bool types in the exported headers
                                                         (Pawel Kot)
    o small cleanups in the links includes               (Pawel Kot)
    o add make install target for includes subdir        (Pawel Kot)
    o move win32/gnokii_v6 to win32/MSVC6                (Pawel Kot)
    o add missing headers in include/gnokii/*            (Pawel Kot)
    o s/Janík/Janik/ (sorry Pavel), s/Paweł/Pawel/ in translatable
      strings to avoid problems with newer xgettext      (Pawel Kot)
    o some headers cleaup                                (Pawel Kot)
    o try to avoid #ifdef __unices__                     (Pawel Kot)
 * Docs updates
    o add dancall.txt                               (Ladislav Michl)
 * SMSD updates
    o misc cleanups                                   (Jan Derfinak)
 * nk6510 driver updates
    o Nokia 6360 confirmed to work                    (Scott Hepler)
    o add Nokia 6610 to supported models       (Jorge Van Hemelryck)
 * nk3110 driver updates
    o more fixes to SMS code                         (Osma Suominen)
    o message type folding in the fbus-3110 code     (Osma Suominen)
    o complicated statemachine tweaking removed      (Osma Suominen)
    o 0x15 init frames handled better                (Osma Suominen)
    o some more error handling                       (Osma Suominen)
 * nk6160 driver updates
    o DLR3P, DAU9P, Bluetooth and Irda added        (BORBELY Zoltan)
    o add includes for the new fbus functions            (Pawel Kot)
 * nk6100 driver updates
    o PressKey and ReleaseKey support for 3210      (BORBELY Zoltan)
    o support for Nokia 5100(?)                          (Pawel Kot)
    o get rid of the warning on missing parethensis      (Pawel Kot)
 * statemachine changes
    o don't wait for an ack in case no message was sent
                                                     (Osma Suominen)
    o don't erroneously report timeout if a message was not
      sent and the phone does not reply within 100ms (Osma Suominen)
    o moving the call of the sm_incoming_acknowledge into the send
      function in the atbus and fbus-3110 drivers   (BORBELY Zoltan)
    o sm_incoming_acknowledge reverted in fbus-3110 (BORBELY Zoltan)
 * device layer updates
    o handling write errors in unixserial           (BORBELY Zoltan)
    o fixing write error handling                   (BORBELY Zoltan)
 * build system updates
    o don't use --rpath option with shared library as it
      causes too much harm                               (Pawel Kot)

0.5.0pre9
=========
 * libgnokii updates
    o don't send the initial sequence with FBUS over Bluetooth
                                                   (Marcel Holtmann)
    o remove ugly #ifdefs as they are not needed in fact (Pawel Kot)
    o move null terminating of the decoded strings to
      gsm-encoding.c                        (James Clark, Pawel Kot)
    o fix compilation issues caused by bluetooth stuff   (Pawel Kot)
 * translation updates
    o sync po files with current sources                 (Pawel Kot)

0.5.0pre8
=========
 * nk3110 driver updates
    o remove keepalive stuff -- now obsoleted        (Osma Suominen)
    o don't use the global variables; move them to the driver
      instance                                       (Osma Suominen)
    o sanity check for data->raw_sms in IncomingSMSHeader()
                                                     (Osma Suominen)
 * win32 compability changes
    o removed exports for non gn_ functions, helper functions
      need to be linked statically if u use libarary
      under Win32                                 (Marcus Godehardt)
 * libgnokii changes
    o prepare to support the connection over Bluetooth; make the
      appropriate changes in: device.c, cfgreader, fbus.c, nk6510.c
      (currently the only driver that will support bluetooth); note
      the [bluetooth] section in .gnokiirc; it DOES NOT work yet
                                                         (Pawel Kot)
    o rename 'class' field from one of the sms structs to avoid
      conflicts with C++ name space; now it is 'm_class' (as of
      message class)                                     (Pawel Kot)
    o GN_ERR_INVALIDLOCATION is invalid and not empty location
                                                     (Osma Suominen)
    o fix other C++ namespace clashes: try, new, this
                                                  (Marcus Godehardt)
    o rfcomm channel has uint8_t type              (Marcel Holtmann)
    o fix string -> bdaddr_t conversion in cfgreader     (Pawel Kot)
    o use socket interface when the bluetooth in configured in
      the .gnokiirc and tty interface otherwise          (Pawel Kot)
 * statemachine changes
    o allow sm_block and friends to be used not only directly after
      sm_message_send but also with sm_reset in between, which sets
      the state to GN_SM_Initialised                 (Osma Suominen)
    o ... and revert it ;-)                          (Osma Suominen)
 * gnokii updates
    o set number type in sendringtone()           (Anton V.Dorofeev)
 * AT updates
    o make Bluetooth work over tty interface             (Pawel Kot)
 * docs updates
    o update MacOS X README                         (Ruotger Skupin)

0.5.0pre7
=========
 * Misc updates, cleanups and fixes
    o using strchr() for better portability         (BORBELY Zoltan)
    o enable tekram device on win32 platform        (BORBELY Zoltan)
    o ease a bit compilation procedure on MacOS X   (Ruotger Skupin)
    o cz and sk operator names changes             (Vitezslav Samel,
                                                    Ernest Beinrohr)
    o retransmission occurs only if the phone won't transmit
      the acknowledge frame                         (BORBELY Zoltan)
    o implement access to network and country names (Ladislav Michl)
    o new operator in Singapore                      (Fabrice MARIE)
    o fix inclusion of snprintf and vsnprintf prototype definitions 
                                                  (Marcus Godehardt)
    o sys/filio.h required on Solaris systems       (BORBELY Zoltan)
    o retransmission based solely on timeouts       (BORBELY Zoltan)
 * build system updated
    o avoid problems with recursive loop when installing
      locales in xgnokii                          (Malte Schünemann)
 * docs updates
    o more info on Nokia 3410 FBUS protocol oddities
 * xgnokii updates
    o fix segfault when saving SMS to mailbox          (Jiri Masik?)
 * nk6510 driver updates
    o fix the problem with incorrectly set number of the messages
      in the sms folder                                  (Pawel Kot)
    o fix the --getdatetime problem                      (Pawel Kot)
    o fix incorrect casting to char                      (Pawel Kot)
 * AT driver updates
    o fix sms sending                                    (Pawel Kot)
    o fix answer missunderstading in atbus_rx_statemachine
                                                    (Ladislav Michl)
 * MS VC6 compability fixes
    o include tekram.h also with WIN32 enabled    (Marcus Godehardt)
    o VC6 does not define O_RDWR                  (Marcus Godehardt)
    o VC6 does not have mkdir()                   (Marcus Godehardt)
    o correct headers in gnokii.c                 (Marcus Godehardt)
    o undef ERROR when define own ERROR() macro to avoid conflicts
                                                  (Marcus Godehardt)
 * libsms fixes
    o update sms number in gn_sms struct with the one returned by
      the phone from gn_sms_raw                      (Osma Suominen)
 * nk3110 driver fixes
    o handle memory types more nicely -- introduce get_memory_type()
                                                     (Osma Suominen)

0.5.0pre6
=========
 * Misc updates, cleanups and fixes
    o updated German operator names                 (Ruotger Skupin)
    o using increasing instead of constant timeout values
      in message retransmission                     (BORBELY Zoltan)
    o define gn_elog_handler as NULL in xgnokii, gnokiid and smsd
                                                         (Pawel Kot)
 * SMSD updated
    o English grammar corrections in README            (Peter Nixon)
 * AT driver updates
    o avoid ReplyGetCharset segfaults with more then 2 charsets
      availale                                           (Pawel Kot)
    o fix phonebook reading when UCS2 encoding is not available
                                                         (Pawel Kot)
    o avoid segfault on attempt to write the phonebook entry
      with xgnokii and Nokia phones                      (Pawel Kot)
    o fix phonebook writing when using HEXGSM alphabet   (Pawel Kot)
 * nk3110 driver updates
    o bring the driver back to life in new API       (Osma Suominen)
 * docs updates
    o note that /dev/ttySX is the Linux notation         (Pawel Kot)

0.5.0pre5
=========
 * Misc updates, cleanups and fixes
    o move mkinstalldirs to config/                      (Pawel Kot)
    o update README                                      (Pawel Kot)
    o CREDITS - again, thanks to everyone who helped     (Pawel Kot)
    o bring dpkg build scripts up to date                (Pawel Kot)
    o bring gnokii.spec up to date                       (Pawel Kot)
    o increase max calnotes number to 1024               (Pawel Kot)
    o set the default smsc timeout to 10 seconds and use the
      correct form (smsc_timeout in the [global] section instead
      of timeout in [sms] section) in sample gnokiirc    (Pawel Kot)
    o changing smsc_timeout from unsigned int to int, this was
      the real reason of the invalid smsc_timeout   (BORBELY Zoltan)
    o update po files                                    (Pawel Kot)
    o new versions of config.guess, config.rpath, config.sub,
      install-sh, mkinstalldirs                          (Pawel Kot)
    o fix vCalendar file reading: not only alpha chars may be in
      the body, correctly use snprintf                   (Pawel Kot)
    o *.bmp is not necessarily a startup logo                (Polik)
    o correct include of winserial.h in tekram driver        (Polik)
    o give the working config example in gnokii-IrDA-howto
                                                     (Simon Huggins)
    o install sendsms on make install                    (Pawel Kot)
 * Build system fixes
    o fix a stupid bug in configure that made configure not detect
      many functions/types when user didn't explicitely give
      --without-x and X headers were not found by configure
      (CPPFLAGS became to have value '-I')               (Pawel Kot)
    o fix FreeBSD build  (Alexander V. Ribchansky, Peter Kolmisoppi)
    o fix the order of the library linking               (Pawel Kot)
 * libsms fixes
    o fix sms_free_deleted()                           (Ulrich Hopp)
    o fix segfault on reading sms in nk7110 driver       (Pawel Kot)
    o initial support for WAP Push                 (Martin Krupicka)
 * xgnokii fixes
    o indexes with messages list were switched         (Ulrich Hopp)
    o fix problems with choosing names from the addressbook on
      sms sending                                      (Ulrich Hopp)
    o compare folder and number not just number for the
      incoming/deleted messages                        (Ulrich Hopp)
    o mark read messages as read                       (Ulrich Hopp)
    o sort sms alphabetically                          (Ulrich Hopp)
    o save sms to mailbox                              (Ulrich Hopp)
 * documentation updates
    o new Estonian translation                       (Hans Motshärg)
    o man page update for gnokii --getlocksinfo     (Bertrik Sikken)
    o get 61xx wap info documentation from gammu    (Bertrik Sikken)
 * gnokii updates
    o --getnetworkinfo displays the LAC and cell id fields as
      a zero padded four digit hex number           (BORBELY Zoltan)
    o correctly handle memory types in writephonebook() (Pat Sewall)
    o add --getlocksinfo along with 6100 driver     (Bertrik Sikken)
    o make --getlogo caller more convinient to use: switch 'caller
      group number' and 'logofile' arguments             (Pawel Kot)
    o fix deletecalendarnote for nk7110 and nk6510 drivers
                                                         (Pawel Kot)
    o Please enter SMS text... message displays only when
      stdin is a terminal                           (BORBELY Zoltan)
    o --smsreader fixes                             (BORBELY Zoltan)
    o introduce a consistency with gnokii return values -- be sure
      at least to return non zero on the failure         (Pawel Kot)
    o don't exit with multiple deletesms on a single failure
                                                         (Pawel Kot)
 * smsd fixes
    o FreeBSD doesn't have libdl and smsd can be complied there
      without -ldl                                (Peter Kolmisoppi)
    o Wrong assumption on char signedness             (Gerhard Tonn)
 * 7110 series updates:
    o dropping duplicated frames during pb read     (BORBELY Zoltan)
    o fix calendar notes write support                   (Pawel Kot)
    o fix calendar deletion support                      (Pawel Kot)
    o fix calendar info reading                          (Pawel Kot)
    o fix reading caller icons                           (Pawel Kot)
    o fix reading speeddials                             (Pawel Kot)
 * 6510 series updates:
    o fix reading caller icons                           (Pawel Kot)
    o fix reading speeddials                             (Pawel Kot)
    o fix calendar notes write support                   (Pawel Kot)
    o fix calendar deletion support                      (Pawel Kot)
    o fix calendar info reading                          (Pawel Kot)
 * 6100 series updates:
    o better fix for busy (0xc9) frame              (BORBELY Zoltan)
    o Nokia CardPhone support updated                 (Georg Moritz)
    o clear data before delete the incoming sms     (BORBELY Zoltan)
 * AT series updates:
    o fix charset handling                          (Ladislav Michl)

0.5.0pre4
=========
 * Misc cleanups
    o move ppp examples from samples directory do samples/ppp
                                                         (Pawel Kot)
    o add gsm-filetypes.o to libgnokii.so/libgnokii.a    (Pawel Kot)
    o fix install-docs target                            (Pawel Kot)
    o <X11/xpm.h> is deprecated since XFree86 4.2.1, so don't
      depend on it anymore and correctly include the header
      in gsm-filetypes.h                   (P. Christeas, Pawel Kot)
    o compile unixirda.c, unixbluetooth and fbus-phonet
      unconditionally                                    (Pawel Kot)
 * xgnokii fixes
    o fix coredump when reading clock                  (Ulrich Hopp)
    o fix compilation warning with asprintf              (Pawel Kot)
    o zero the gn_sms structures when mallocing        (Ulrich Hopp)
    o handle correctly alarm/clock                       (Pawel Kot)
 * gnokii updates
    o add --getnetworkinfo                          (Bertrik Sikken)
 * build system fixes
    o correctly set CFLAGS with --enable-debug           (Pawel Kot)
 * nk6510 driver updates:
    o don't segfault with uninitialized data->alarm      (Pawel Kot)
    o don't segfault with uninitialized data->sms_status (Pawel Kot)

0.5.0pre3
=========
 * Docs updates:
    o FAQ updates:
       + update status of the supported phones           (Pawel Kot)
       + fix typos                                       (Pawel Kot)
       + new entry on how to test the new model          (Pawel Kot)
    o be more up-to-date with gnokii-hackers howto; still needs
      updates and verification                           (Pawel Kot)
 * Compability changes:
    o move some parts from misc.{ch} to compat.{ch}      (Pawel Kot)
    o detect ptr_t                                       (Pawel Kot)
    o replaced AM_GNU_GETTEXT with AM_GNU_GETTEXT([external]) in
      configure.in                                    (Mariusz Mazur)
    o support all gettextize versions in the correct manner
                                                      (Mariusz Mazur)
    o add po/Makevars                                 (Mariusz Mazur)
    o few corrections for the po files copyrights         (Pawel Kot)
    o __ptr_t detection fixed to work with older autoconf
      packages                                       (BORBELY Zoltan)
    o add po/Makefile target in configure.in so it should work
      everywhere                                          (Pawel Kot)
 * New API for gnokii
    [some of these changes are temporary -- they will allow be to
     better control the changes]
    o group the internal API functions in gnokii-internal.h
                                                         (Pawel Kot)
    o group the external API functions in gsm-api.h      (Pawel Kot)
    o reorganization in the common files: -data, -common,
      -statemachine                                      (Pawel Kot)
    o cleanup of the xgnokii; adapt to the new api    (P. Christeas)
    o adapt smsd to the new api                     (BORBELY Zoltan)
    o use just 1 include (gsm-api.h) in gnokii.c         (Pawel Kot)
    o use just 1 include (gsm-api.h) in smsd             (Pawel Kot)
    o use just 1 include (gsm-api.h) in xgnokii          (Pawel Kot)
    o use just 1 include (gsm-api.h) in gnokiid          (Pawel Kot)
    o make data/virtual.h part of the external API       (Pawel Kot)
    o state populated to the device layer           (BORBELY Zoltan)
    o config settings moved into state->config      (BORBELY Zoltan)
    o high level config reading function added      (BORBELY Zoltan)
    o gn_gsm_initialise and config handling cleanup (BORBELY Zoltan)
    o gn_cfg_get eliminated from the device, link and phone
      layer (except the device_script block)        (BORBELY Zoltan)
    o xgnokii XDEBUG compilation fixes                 (Ulrich Hopp)
 * 6110 series updates:
    o M2BUS support added                           (BORBELY Zoltan)
 * 7110 series updates:
    o M2BUS support added                           (BORBELY Zoltan)
 * 6160 series updates:
    o static and global variables have been eliminated from the
      the source                                    (Ladislav Michl)
 * 6510 series updates:
    o fix incorrect order for SEND_MESSAGE_BLOCK and
      SEND_MESSAGE_WAITFOR arguments                     (Pawel Kot)
    o unify SEND_MESSAGE_BLOCK and SEND_MESSAGE_WAITFOR across
      the phone drivers                                  (Pawel Kot)
    o fix a thinko done with the api change causing segfault on
      sms reading                                        (Pawel Kot)
 * AT series updates:
    o fix smsc timestamp reading with getsms             (Pawel Kot)
 * libgnokii changes:
    o Renamed Greek operator PANAFON to Vodafone      (P. Christeas)
    o max sms length increased to 160 chars         (BORBELY Zoltan)
 * link driver updates:
    o static and global variables have been eliminated from the
      m2bus source, passing state to everywhere     (BORBELY Zoltan)
    o static and global variables have been eliminated from the
      fbus sources, passing state to everywhere     (BORBELY Zoltan)
    o link driver initialisation cleanup            (BORBELY Zoltan)
    o fix type mismatch from fbus_initialise             (Pawel Kot)
    o cbus cleanups                                 (Ladislav Michl)
 * device driver updates:
    o static and global variables eliminated from device.c,
      driver specific data moved into state         (BORBELY Zoltan)
 * misc cleanups
    o format the output when config file is incorrect    (Pawel Kot)

0.5.0pre2
=========
 * Last minute updates to autogen.sh. They are usefull with newer
   gettextize versions                                    (Pawel Kot)
 * Compability changes:
    o sys/filio.h included for FIONREAD              (BORBELY Zoltan)
 * gnokii changes:
    o fix potential segfault in writephonebook()    (Jan de Cuveland)
    o fix warning on architectures where char defaults to unsigned
      char                                                (Pawel Kot)
 * docs updates:
    o describe install, install-suid, install-strip and install-ss
      targets                                             (Pawel Kot)
    o update config file description -- # only at the line
      beginning denotes the comment                       (Pawel Kot)
 * 6110 series updates:
    o non-ASCII character set support experimental version
                                                     (BORBELY Zoltan)
    o "SetCellBroadcast error" frame documented      (BORBELY Zoltan)
    o GetSecurityCode implemented                    (BORBELY Zoltan)
    o recognize Delivery Report type                      (Pawel Kot)
    o netmonitor and old style phone handling moved to
      nokia.c                                        (BORBELY Zoltan)
 * 7110 series updates:
    o netmonitor moved to nokia.c                    (BORBELY Zoltan)
    o old style call management commands called      (BORBELY Zoltan)
 * translation updates
    o typos in et.po                                    (Ulrich Hopp)
    o few more messages translated in pl.po               (Pawel Kot)
 * gnokiid updates:
    o threads eliminated from gnokiid                (BORBELY Zoltan)
    o minor cleanup in the RLP module                (BORBELY Zoltan)
    o access check if mgnokiidev exists              (BORBELY Zoltan)
 * libgnokii changes:
    o fix incorrect encoding of extened alphabet characters
                                                          (Pawel Kot)
    o terminate decoded unicode string with \0       (Bertrik Sikken)
 * AT series updates:
    o Bosch support. Tested with Bosch 909 Dual S    (Ladislav Michl)
    o implement SetCharset                           (Ladislav Michl)
    o implement WritePhonebook                       (Ladislav Michl)
    o get rid of global variables & cleanup          (Ladislav Michl)
 * cbus updates/clanups                              (Ladislav Michl)
 * xgnokii changes:
    o fix saving the phonebook                         (Markus Plail)

0.5.0pre1
=========
 * Change the external API (provided by libgnokii to the user
   applications) to be unique and consistant              (Pawel Kot)
 * Change the internal API to be consistant with the external API
                                                          (Pawel Kot)
 * Source cleanups:
    o remove unneeded includes/move the includes to the apropriate
      places                                              (Pawel Kot)
    o make not exported globals static                    (Pawel Kot)
    o vcard reading/phonebook cleanups		       (Pavel Machek)
    o gn_gsm_initialise takes the connection as a string, the
      the unneeded rlp parameter has been removed    (BORBELY Zoltan)
 * 6110 series updates:
    o Nokia 8290 is known to work with the driver             (Roger)
    o fix default number reading with the smsc info       (Pawel Kot)
    o remove translatable strings from some dprintfs   (Markus Plail)
    o fix initialization on some phones (not supporting 0xd2 or
      0x04 frames)                                        (Pawel Kot)
    o implement more protocol frames (security commands)  (Pawel Kot)
    o fix the order of the incoming functions             (Pawel Kot)
    o fix phonebook names saving in 3310/3330/3410 phones;
      names are in unicode                                (Pawel Kot)
    o Nokia 8250 is know to work with the driver           (Roger So)
 * 6510 series updates:
    o make ValidateSMS more robust                     (Markus Plail)
    o fix SMSFolder mess                               (Markus Plail)
    o add create/delete SMS folder                     (Markus Plail)
    o add save SMS (may be dangerous)                  (Markus Plail)
    o add initial dialvoice support                    (Markus Plail)
    o add reading alarm state           (Marcin Wiacek, Markus Plail)
    o be more carefull with the buffer overflow possibilities
                                         (Jan de Cuveland, Pawel Kot)
 * 7110 series updates:
    o make ValidateSMS more robust                     (Markus Plail)
    o fix SMSFolder mess                               (Markus Plail)
    o implement WAP                                    (Markus Plail)
    o netmonitor fixes                                 (Markus Plail)
    o add keypress simulation              (Adif Hamza, Markus Plail)
 * AT series updates:
    o fix SMS reading                       (Pavel Machek, Pawel Kot)
 * Call management subsystem updates:
    o state pointer added to CallNotification        (BORBELY Zoltan)
    o call management API added to the repository    (BORBELY Zoltan)
 * xgnokii updates:
    o remove unnecessary GSM_Data declarations         (Markus Plail)
    o DialVoice converted to the new api             (BORBELY Zoltan)
    o SendDTMF implemented again                     (BORBELY Zoltan)
    o get rid of the global GSM_Data                   (Markus Plail)
    o fix deleting SMS messages                        (Markus Plail)
    o fix date when saving SMS messages to mailbox     (Markus Plail)
    o use correct xgnokiidir in xgnokii    (Pawel Kot, Tor Petterson)
    o fix changing memory type with newer phones
                                          (Markus Plail, Paul Vriens)
    o fix name disappearing after editing numbers
                                          (Markus Plail, Paul Vriens)
    o fix number disappearing when changin memory type
                                          (Markus Plail, Paul Vriens)
    o fix date/time setting only working once in calendar module
                                                       (Markus Plail)
    o fix deleting calendar notes from phones with cal. notes index
                                                       (Markus Plail)
    o fix recurrence display                           (Markus Plail)
    o fix contacts being saved although cancel was pressed
                                                       (Markus Plail)
    o fix phone number getting lost when changing memory type
                                                       (Markus Plail)
    o don't loop forever on the incorrect initialization  (Pawel Kot)
 * gnokii updates:
    o remove SMSFolder hack from getsms                (Markus Plail)
    o call status display added                      (BORBELY Zoltan)
    o dialvoice uses the call management API         (BORBELY Zoltan)
    o don't exit after the first loop in the writephonebook
                                    (Emanuele Pucciarelli, Pawel Kot)
    o add create/delete SMS folder                     (Markus Plail)
    o fix incorrect longoptions values for sendsms(); reported
      by Martin Kozelsky                                  (Pawel Kot)
    o gnokii --listnetworks added                    (BORBELY Zoltan)
    o correctly set memory_type_string in writephonebook()
                                                    (Jan de Cuveland)
    o pass the retval to the usage()                      (Pawel Kot)
 * nokia-decoding updates:
    o name can be assigned to both bitmap and phonebook entry
                                                       (Markus Plail)
 * libsms updates:
    o remove SMSFolder hacks in GetFolderChanges       (Markus Plail)
    o add add gn_sms_pack_date_time                    (Markus Plail)
 * change strncpys to snprintfs in vcal.lx             (Markus Plail)
 * spec file fixes                                        (Pawel Kot)
 * add base bluetooth support                       (Marcel Holtmann)
 * build system changes
    o use NLS detection from autoconf/automake macros
                                 (Pawel Kot, Mariusz Mazur, PLD Team)
    o fixed configure.in to not generate warning on AC_PROG_CC
                                                      (Mariusz Mazur)
    o workaround for Red Hat 7.3 gettext which is sligthly different
      then other distribution gettext                 (Mariusz Mazur)
    o Slovenian translation fixed; no I don't know Slovenian at
      all ;-), just fixed "number of format specifications in
      'msgid' and 'msgstr' does not match" error          (Pawel Kot)
    o build irda support only where the irda support is working
      (only Linux systems?)                               (Pawel Kot)
    o avoid using // in the install paths                 (Pawel Kot)
    o setenv replaced by putenv when needed          (BORBELY Zoltan)
    o better pthread detection (required by HP-UX)   (BORBELY Zoltan)
    o snprintf compilation fixes for HP-UX           (BORBELY Zoltan)
    o device level fixes for HP-UX                   (BORBELY Zoltan)
 * ppm2nokia script added                              (Vidar Madsen)
 * FreeBSD compatibility fixes: FBSD does not like local variables
   with the type of large size; we convert these variables to the
   pointers and alloc them dynamically.     (Jan Derfinak, Pawel Kot)
 * MacOS X compatibility                             (Ruotger Skupin)
 * remove include/devices/linuxirda.h                     (Pawel Kot)
 * MS Windows compatibility
    o add serial_nreceived() and serial_flush() functions
      to winserial.c                                    (Mark Lakata)
    o don't use alloca(3)                                 (Pawel Kot)
 * gsm-encoding changes
    o proper unicode support                  (Hu Gang, Markus Plail)
    o don't return -1 but 1 when wctomb() or mbtowc() fails
                                                    (Jan de Cuveland)
 * tekram dongle support reimplemented               (BORBELY Zoltan)
 * docs updates:
    o mention 'make DESTDIR=<dir> install' in the packaging howto
                                                          (Pawel Kot)
    o mention external libraries needed for gnokii        (Pawel Kot)
    o reflect API changes in gnokii-hackers howto         (Pawel Kot)
    o new FAQ entries: require_dcd and gettextize         (Pawel Kot)
    o MacOS X README                                 (Ruotger Skupin)
 * new Estonian translation                           (Hans Motshärg)

0.4.3
=====
 * gnokii updates:
    o don't use stdout as the diagnostic output           (Pawel Kot)
    o some cleanups and fixes to make bitmap handling with 6510
      series work                                      (Markus Plail)
    o add --gettodo                                    (Markus Plail)
    o don't use hardcoded values               (Len Trigg, Pawel Kot)
    o add --writetodo                                  (Markus Plail)
    o add WAP handling                                 (Markus Plail)
    o extend SaveSMS functionality                     (Markus Plail)
 * xgnokii updates:
    o fix speeddial writing                            (Markus Plail)
    o fix logos                                        (Markus Plail)
    o don't use hardcoded values                        (Paul Vriens)
    o fix deleting SMS messages                        (Markus Plail)
 * 6510 series updates:
    o add bitmap writing                               (Markus Plail)
    o add ToDo reading                                 (Markus Plail)
    o fix SMS reading from IN/OUTBOX (ugly)            (Markus Plail)
    o use nokia-decoding                               (Markus Plail)
    o add ToDo writing                                 (Markus Plail)
    o add DeleteAllToDoLocations                       (Markus Plail)
    o add WAP handling                                 (Markus Plail)
    o fix SMS status                                   (Robert Ivanc)
    o add DeleteSMSnoValidate                          (Markus Plail)
    o add date/time, alarm writing      (Marcin Wiacek, Markus Plail)
 * 6110 series updates:
    o Nokia 3410 is known to work                         (Pawel Kot)
    o use 0x64 frames only when PM_AUTHENTICATION is set for the
      model                                               (Pawel Kot)
    o use unicode for the newer phones in the phonebook   (Pawel Kot)
    o phone info frame (0xd2) parsed correctly       (BORBELY Zoltan)
    o static variables eliminated from the driver    (BORBELY Zoltan)
    o phone initialisation simplified                (BORBELY Zoltan)
    o GetIMEI and GetRevision should work with phones not
      supporting the 0x64 type message               (BORBELY Zoltan)
    o GetProfile doesn't call PhoneInfo2 any longer  (BORBELY Zoltan)
    o old style call management API added            (BORBELY Zoltan)
    o NBS upload for operator logo                   (BORBELY Zoltan)
    o phone matching code improved                   (BORBELY Zoltan)
    o NBS upload for ringtone                        (BORBELY Zoltan)
    o MakeCall1() calls GetNetworkInfo first (maybe eliminates
      some datacall problem)                         (BORBELY Zoltan)
    o use PNOK_FBUS_EncodeSMS                          (Markus Plail)
    o extend SaveSMS functionality                     (Markus Plail)
 * 7110 series updates:
    o use nokia-decoding                               (Markus Plail)
    o fix Inbox status reading          (Marcin Wiacek, Markus Plail)
    o remove GetUnreadMessages and friends             (Markus Plail)
    o add DeleteSMSnoValidate                          (Markus Plail)
    o use PNOK_FBUS_EncodeSMS                          (Markus Plail)
    o add SaveSMS functionality                        (Markus Plail)
 * bitmap support
    o some cleanups and fixes to make bitmap handling with 6510
      series work                                      (Markus Plail)
 * libsms updates
    o support decoding extension of the default alphabet  (Pawel Kot)
    o support for sending the characters from the default alphabet
      extension                                           (Pawel Kot)
    o distinct between currency and euro symbols based on locale
      set                                                 (Pawel Kot)
    o add DeleteSMSnoValidate                          (Markus Plail)
    o extend SaveSMS functionality                     (Markus Plail)
 * SMSD updates
    o support fo the phones with the SMS folders       (Markus Plail,
                                                        Jan Derfinak)
 * build system updates:
    o respect CFLAGS from the environment, idea from PLD spec
                                                          (Pawel Kot)
 * create nokia-decoding.c for decoding functions generic to newer
   NOKIA phones (phonebook, calendar for now)          (Markus Plail)
 * statemachine pointer added to the incoming functions of the
   phone drivers                                     (BORBELY Zoltan)
 * DriverInstance pointer added to the GSM_Phone strucutre. It can
   be used by the phone drivers to store its state   (BORBELY Zoltan)
 * build system changes:
    o install xgnokii in the same place as gnokii by default, you
      can change this behaviour with --with-xgnokii-dir   (Pawel Kot)
 * vCalendar support
    o add ToDo support, fix/extend PHONE CALL          (Markus Plail)
 * poll() converted to select() everywhere           (BORBELY Zoltan)
 * make static variables declared with static keyword, make
   variables extern where needed                          (Pawel Kot)
 * add 6310i and 7650 to unixirda.c      (Robert Ivanc, Markus Plail)
 * change PNOK_FBUS_SendSMS to PNOK_FBUS_EncodeSMS     (Markus Plail)

0.4.2a
======
 * Just a small typo in the Makefile             (Robert Steinhäußer)

0.4.2
=====
 * Moved logos, ringtones and vCards from Docs/ to more appropriate
   place                                                  (Pawel Kot)
 * Update spec file to reflect libgnokii.so in there  (Tibor Pittich)
 * 6510 series updates:
    o fix date/time reading                            (Markus Plail)
    o add profile writing                              (Markus Plail)
    o add/fix getsmsstatus                             (Markus Plail)
    o little fix to read first block of inoming network correctly 
      thanks to a hint from Arek Karas                 (Markus Plail)
    o cleanups                                         (Markus Plail)
    o phonebook fixes thanks to hints from Len Trigg   (Markus Plail)
    o remove PM_NETMONITOR in misc.c                   (Markus Plail)
    o add GetSMSnoValidate                             (Markus Plail)
    o minor battery fix                                (Markus Plail)
    o add (dummy) GetUnreadMessages                    (Markus Plail)
    o add DeleteSMS                                    (Markus Plail)
    o re-add IncomingSecurity                          (Markus Plail)
    o add GetSecurityCodeStatus                        (Markus Plail)
    o add EnterSecurityCode (only PIN)                 (Markus Plail)
    o add IncomingSubscribe/Subscribe                  (Markus Plail)
    o add IncomingCommStatus                           (Markus Plail)
    o return NULL if no SMSC name is found             (Markus Plail)
    o fix SMS reading (for INBOX mainly)               (Markus Plail)
    o add validity to SMS sending                      (Markus Plail)
    o add IncomingWAP                                  (Markus Plail)
    o change default group to 'No Group'(5) when reading contacts
                                                       (Markus Plail)
    o return GE_EMPTYLOCATION when no op logo is found (Markus Plail)
    o set SMSC Number/Remote Number block length according
      to the real length                                  (Pawel Kot)
    o enable DLR3[P] cable connection    (Manfred Jonsson, Pawel Kot)
    o protocol updated to be in line with what's implemented
                                                       (Markus Plail)
    o update documentation                                (Pawel Kot)
 * 7110 series updates:
    o move GetUnreadMessages from gsm-sms.c            (Markus Plail)
    o change GOP7110_* to GOP_*                        (Markus Plail)
    o do not read date/time and numbers when reading messages
      of type SMS_Submit                               (Markus Plail)
    o change behaviour of DeleteSMS to be consistant with GetSMS
                                                       (Markus Plail)
    o return NULL if no SMSC name is found             (Markus Plail)
    o change default group to 'No Group'(5) when reading contacts
                                                       (Markus Plail)
    o add 7190 to the supported models list          (Terry Moreland)
 * gnokii fixes:
    o change deletesms() to reflect changes in API     (Markus Plail)
    o indentation changes                                 (Pawel Kot)
    o don't initialize the connection for foogle()        (Pawel Kot)
    o when some characters are not from the default alphabet
      encode them in the unicode                          (Pawel Kot)
    o avoid potential compilator warning on assigning caller group
      number                              (Terry Moreland, Pawel Kot)
 * xgnokii fixes:
    o fix SMS reading                                  (Markus Plail)
    o fix date/time display for SMS messages           (Markus Plail)
    o fix RF/battery level display for 6110 series     (Markus Plail)
    o make SMS stuff work again                        (Markus Plail)
    o rename DeleteSMS to not conflict with new API    (Markus Plail)
    o make SMS sending work again                      (Markus Plail)
    o fix display of picture messages                  (Markus Plail)
    o add URLs to contacts (6510 only)                 (Markus Plail)
    o when some characters are not from the default alphabet
      encode them in the unicode                          (Pawel Kot)
    o we need more room for the port length               (Pawel Kot)
 * libsms fixes:
    o fix GSM_ReadSMSnoValidate                        (Markus Plail)
    o remove GetUnreadMessages and friends             (Markus Plail)
    o add DeleteSMS                                    (Markus Plail)
 * replace GOP_FindUnreadSMS with GOP_GetUnreadMessages
	                                               (Markus Plail)
 o smsd changes:
    o when some characters are not from the default alphabet
      encode them in the unicode                          (Pawel Kot)
 o introduce new connection type DLR3P, you can use it when you
   know that you have DLR3 or DLR3P cable -- you will get then
   faster initialization                                  (Pawel Kot)
 o Strongly suggest to do make install after make         (Pawel Kot)

0.4.1
=====
 * gnokii fixes
    o add missing break when reading concatenated mesages;
      catched by Markus Plail                             (Pawel Kot)
    o raise writephonebook buffer from 99 to 254       (Markus Plail)
    o use print_error() when reporting the error          (Pawel Kot)
    o print phonebook in the more userfiendly manner; for the
      old behaviour use -r or --raw                       (Pawel Kot)
    o i18n of all remaining (not debug) strings           (Pawel Kot)
 * 6510 series updates
    o major SMS layout rewrite, the messages are now parsed, rather
      than using hardcoded numbers                     (Markus Plail)
    o SendSMS updated, almost all magic numbers are gone
	                                               (Markus Plail)
    o now all magic numbers have gone thanks to Pawel  (Markus Plail)
    o fix handling of different INBOX memory types     (Markus Plail)
    o speed up reading of multiple messages            (Markus Plail)
    o add writephonebook functionality                 (Markus Plail)
    o copy writecalendar stuff from 7110               (Markus Plail)
    o minor fixes (RF/battery level)                   (Markus Plail)
    o copy startup stuff from 7110                     (Markus Plail)
    o cleanup: delete functions IncomingSecurity, netmonitor...
      as they won't work with this series.             (Markus Plail)
    o add profile reading                              (Markus Plail)
    o add speed dials reading/writing                  (Markus Plail)
    o add welcome note and anykey answer reading       (Markus Plail)
    o minor cleanups                                   (Markus Plail)
    o add IncomingRadio (no functionality yet)         (Markus Plail)
    o initial keypress emulation code (not very functional yet)
	                                               (Markus Plail)
 * 7110 series
    o typo in P7110_WritePhonebookLocation             (Markus Plail)
 * 6160 series updates:
    o Nokia 5120 (NSC-1) added to misc.c             (BORBELY Zoltan)
    o Startup logo reading implemented               (BORBELY Zoltan)
 * New supported phones:
    o Nokia 6310i                                      (Markus Plail)
    o Nokia 7650 (hope it works with nk6510 driver)       (Pawel Kot)
    o Nokia 9210 - not really suppported, but we know its
      identity and hopefully we'll get the support soon   (Pawel Kot)
 * Docs updates:
    o add --keysequence hints to FAQ                   (Pavel Machek)
    o add vcal problems to FAQ                            (Pawel Kot)
    o add Get startup logo to nk6160.txt             (BORBELY Zoltan)
    o improve --keysequence hints in FAQ             (BORBELY Zoltan)
    o www.flosys.com/tdma page added to FAQ          (BORBELY Zoltan)
 * Cleanups in the error handling system: simplify and decrease
   the ammount of the available return codes -- we don't need
   them all in this form in fact                          (Pawel Kot)
 * libsms changes:
    o allow to define SMS send timeout in the config file,
      defaults to 10 seconds                              (Pawel Kot)
    o convert some printfs to dprintfs                    (Pawel Kot)
 * tarballs will contain vcal.c not to require users to have flex,
   cvs users will still meet the requirement, note that after
   make distclean vcal.c will be removed                  (Pawel Kot)

0.4.0
=====
 * Rewrite of the SMS subsystem
    o reading of SMS splitted into 2 stages               (Pawel Kot)
    o support for EMS picture/animation SMSes          (Pavel Machek)
    o support for sending nokia ringtones              (Pavel Machek)
    o support for sending iMelody                      (Pavel Machek)
    o reactivate support for text before picture messages
                                                       (Markus Plail)
    o support for sending nokia logos and picture msgs (Pavel Machek)
    o use correct UDHs                                    (Pawel Kot)
    o add helpful defines                                 (Pawel Kot)
    o added sms-nokia.[ch] for Nokia extensions for SMS stuff
                                                          (Pawel Kot)
    o correct some header includes -- move them where they are
      needed, explicit dependencies are better            (Pawel Kot)
    o don't use RawData in SMS subsystem                  (Pawel Kot)
    o SendSMS was moved from nk7110.c to nokia.c     (BORBELY Zoltan)
    o change MessageCenter structure; update all drivers to
      reflect this change                                 (Pawel Kot)
    o change the type of the ValidityIndicator field in
      GSM_SMSMessage                                      (Pawel Kot)
    o remove sms-layout.c and other layout related things (Pawel Kot)
 * code fixes:
    o added filelocking for gnokiid xgnokii smsd and fixed for gnokii
    o added Terminate to GOP functions
    o moved atexit from unixserial to application level
                                                    (Manfred Jonsson)
    o follow the convention: struct fields begin with the capital
      letter                                              (Pawel Kot)
    o code cleanups - remove compile warnings             (Pawel Kot)
 * Support Nokia Card Phone RPM-1              (Friedrich Lobenstock)
 * More verbose reporting when detecting the model
                                               (Friedrich Lobenstock)
 * Docs updates:
    o added MAINTAINERS file                              (Pawel Kot)
    o "call divert is active" documented             (BORBELY Zoltan)
    o updated FAQ (also on the webpage)                   (Pawel Kot)
    o V110 protocol info added to DataCalls-QuickStart
                                                     (Aart Koelewijn)
    o mention memory types for --getsms in the manual page
	                                                  (Pawel Kot)
    o update READMEs, add README for 7110 and 6510 series
                                            (Markus Plail, Pawel Kot)
 * Allow GSM_PrintBitmap to output to any stream          (Pawel Kot)
 * Build system updates:
    o fixed Makefile to install libgnokii.so for all install*
      targets                                             (Pawel Kot)
 * xgnokii fixes:
    o lockup during the phonebook reading fixed      (BORBELY Zoltan)
    o added extended phonebook support                 (Markus Plail)
    o some minor fixes in contacts                     (Markus Plail)
    o update to compile with the new SMS subsystem     (Markus Plail)
    o add support for recurrence in calendar           (Markus Plail)
    o minor fixes for recurrence in calendar           (Markus Plail)
 * gnokii updates:
    o let gnokii display usage instruction to stdout when it's
      called with --help or -h and to stderr otherwise    (Pawel Kot)
    o fixes for getsms() to not output the text twice and correctly
      use SMSCTime and Time fields                        (Pawel Kot)
    o fixes for getsms() to correctly get SMSC number     (Pawel Kot)
    o read SMSC number in sendlogo()                      (Pawel Kot)
    o change --getmemory to --getphonebook                (Pawel Kot)
    o added getsecuritycode                            (Markus Plail)
    o report errors in more verbose way                   (Pawel Kot)
 * gnokiid updates:
    o ATH can terminate initiated calls              (BORBELY Zoltan)
    o incoming calls can be answered                 (BORBELY Zoltan)
 * 7110 series updates:
    o Cleanups in the 7110 driver                         (Pawel Kot)
    o added writing of non GSM_Number subentries       (Markus Plail)
    o cleanups in the driver - recommended to toher driver to follow
      this code                                           (Pawel Kot)
    o support for the new SMS subsystem                   (Pawel Kot)
    o fixes for SMSC reading                              (Pawel Kot)
    o fix reading Recurrence from phone                (Markus Plail)
    o added getsecuritycode                            (Markus Plail)
 * 6510 series updates:
    o update to work with new SMS subsystem            (Markus Plail)
    o capitalization caused compilation problem      (BORBELY Zoltan)
    o make SMS sending work (only for 6310 now)           (Pawel Kot)
    o correctly read SMSC information                     (Pawel Kot)
    o fix wrong memory types for SMS, it still needs fixing for
      Inbox - we can have messages stored on either SIM or in the
      phone memory                                        (Pawel Kot)
    o small fixes for SMS reading -- needs more work      (Pawel Kot)
 * 6110 series updates:
    o SMS reading works with the new SMS subsystem   (BORBELY Zoltan)
    o "call divert is active" frame marked as unsolicited in nokia.c
                                                     (BORBELY Zoltan)
    o answercall fix                                 (BORBELY Zoltan)
    o SMS sending works with the new SMS subsystem   (BORBELY Zoltan)
    o SMS saving works with the new SMS subsystem    (BORBELY Zoltan)
    o calling GetNetworkInfo before sending an SMS (it will
      reactivate the link)                           (BORBELY Zoltan)
    o ISDN cause codes decoded in SendSMS and MakeCall reply
                                                     (BORBELY Zoltan)
 * 6160 series updates:
    o experimental driver added                      (BORBELY Zoltan)
    o Identify implemented                           (BORBELY Zoltan)
    o ReadPhonebook implemented                      (BORBELY Zoltan)
    o WritePhonebook implemented                     (BORBELY Zoltan)
 * AT series updates:
    o Security functions for AT phones              (Manfred Jonsson)
    o new SMS layer compability                           (Pawel Kot)
    o added stub for SMS delete. needs to be revisited when
      SMS works for AT mode                            (Petr Muller)
 * fake driver updates:
    o new SMS layer compability                           (Pawel Kot)
 * device driver updates:
    o device_nreceived, device_flush added           (BORBELY Zoltan)
    o serial_nreceived, serial_flush added           (BORBELY Zoltan)
 * link driver updates:
    o initial version of the M2BUS link driver added (BORBELY Zoltan)
    o M2BUS DTR/RTS toggling disabled at link initialisation
                                                     (BORBELY Zoltan)
    o M2BUS called the SM_IncomingFunction with wrong message
      length                                         (BORBELY Zoltan)
    o M2BUS idle channel check and channel flushing added
                                                     (BORBELY Zoltan)
 * ISDN cause decoding added to gsm-error            (BORBELY Zoltan)
 * GOP_GetSecurityCode added                           (Markus Plail)

0.4.0pre20
==========
 * SMSes from AT phones fixed                          (Pavel Machek)
 * Ericsson a1018 support done nicely                  (Pavel Machek)
 * Added testsuite				       (Pavel Machek)
    o Add testing ringtone -- star.rtttl
 * gnokii updates                                      (Markus Plail)
    o fix segfault when reading more than one message in a row
 * 6110 series updates
    o PollSMS race condition eliminated              (BORBELY Zoltan)
    o SMS sending error codes updated                (BORBELY Zoltan)
    o explicitly name 3360 in misc.h (for xgnokii) and in unixirda.c
      (for irda connections)                           (Kevin Thayer)
    o handle the case when operator does not allow to send
      the SMS                                             (Pawel Kot)
 * Add GPL compatible preamble in tcp.[ch] files          (Pawel Kot)
 * Make tcp.[ch] compatible with gnokii coding style      (Pawel Kot)
 * SMSD updates
    o don't use 'connect' as the variable name; it conflicts
      with connect() function - introduced by tcp device
      support                                             (Pawel Kot)
 * Build system updates
    o give the consistant information about --with-gnugetopt
                                                          (Pawel Kot)
    o autogen.sh added                               (BORBELY Zoltan)
    o configure will abort when include/config.h.in is missing
                                                     (BORBELY Zoltan)
 * bitmap support
    o begin cleaning up bitmap code; rewrite bitmap handling in
      gnokii.c in the readable way                        (Pawel Kot)
    o fix the case when NOL bitmap is not in the size dividable
      by 8                                                (Pawel Kot)
    o cleanups using ceiling function     (BORBELY Zoltan, Pawel Kot)
    o GSM_ShowBitmapFile cleanup, startup logo is displayed
      correctly                                      (BORBELY Zoltan)
 * Updated TODO                           (BORBELY Zoltan, Pawel Kot)
 * code cleanups
    o minor portability fixes        (Jan Kratochvil, BORBELY Zoltan)
 * libsms updates
    o correctly count UDH length            (Pavel Machek, Pawel Kot)
    o SendSMS returns with error upon GetSMSCenter failure
                                                     (BORBELY Zoltan)
 * Docs updates
    o reflect changes in email and web addresses     (BORBELY Zoltan)
    o protocol updates for 6110                    (Harri Yli-Torkko)
    o added short docs about ericsson phones           (Pavel Machek)
 * Translation updates
    o Estonian translation for the pre19 release      (Hans Motsharg)
    o Slovenian translation for the pre19 release    (Bostjan Muller)
 * gnokii updates
    o fix sendlogo to set SMS_NoData for the non-existent message
      parts                                               (Pawel Kot)
 * win32 updates
    o builds regular (LIB) and shared (DLL) version for Win32 with
      Visual Studio 6                                 (Feico de Boer)
    o builds Cygwin Win32 with --enable-win32 --disable-shared
                                                      (Feico de Boer)
 * 6510 series updates
    o support also 8310                           (Christian Rishoej)

0.4.0pre19
==========
 * include tcp.h                                       (Pavel Machek)
 * libsms updates
    o kill GE_SMSSENDOK and replace with GE_NONE       (Pavel Machek,
                                                           Pawel Kot)
 * AT series updates
    o enlarge the buffer to avoid potential overruns   (Pavel Machek)

0.4.0pre18
==========
 * Add TCP connection        (Jan Kratochvil, hacked by Pavel Machek)
 * Fake phone driver added (for debugging)	       (Pavel Machek)
 * Code cleanups
    o remove compilation warnigns                         (Pawel Kot)
    o portability fixes                              (BORBELY Zoltan)
    o u_char removed                                 (BORBELY Zoltan)
 * 2110 series updates
    o fix segfault on getsms, but break smsreader.     (Pavel Machek)
      (this is actually step in right direction)
 * dancall updates
    o make it at least compile [testers wanted]        (Pavel Machek) 
    o remove duplicated reply_buf definition avoiding OpenBSD
      compile                                             (Pawel Kot)
 * smsd updates
    o replaced GSM_MAX_DESTINATION_LENGTH with MAX_BCD_STRING_LENGTH
                                                          (Pawel Kot)
 * gnokii fixes
    o fixed wrong check in smsreader                      (Pawel Kot)
    o replace unknown with sender number when saving SMS not
      matching given pattern                         (Bostjan Muller)
 * xgnokii fixes
    o some strange problem with xgnokii linking (reported
      by few people)                                      (Pawel Kot)
    o Netmonitor fixed                                 (Markus Plail)
 * build system updates:
    o autoheader support added (based on Jan Kratochvil's autoheader
      patch for mygnokii)                            (BORBELY Zoltan)
    o configure.in updates for autoheader            (BORBELY Zoltan)
    o config.h.in.in removed                         (BORBELY Zoltan)
    o autoheader specific cleanup in various files   (BORBELY Zoltan)
    o configure.in fixes and cleanup                 (BORBELY Zoltan)
    o fix HAVE_LONG_DOUBLE problem with autoheader >= 2.50
                                                          (Pawel Kot)
    o make use of DESTDIR variable to be able to change directory
      root                                                (Pawel Kot)
    o __USE_XOPEN killed, using _XOPEN_SOURCE 500 everywhere it's
      needed. At least Solaris requires it.          (BORBELY Zoltan)
 * libsms updates:
    o fixed memset typo in DefaultSMS()                        (Ueli)
    o fix the problem with decoding BCD international numbers
                                                          (Pawel Kot)
    o start to fix Unicode problems with SMS (reported by
      Konstantin Smirnov)                                 (Pawel Kot)
 * 6110 series updates
    o keepalive packet won't be reported as an unhadled frame
                                                     (BORBELY Zoltan)
    o CancelCall, AnswerCall fixed                   (BORBELY Zoltan)
    o share the CallDivert code with 7110 driver          (Pawel Kot)
 * 7110 series updates
    o share the CallDivert code with 6110 driver          (Pawel Kot)

0.4.0pre17
==========
 * We moved to savannah.gnu.org                           (Pawel Kot)
 * 2110 series updates
    o smsreader updates                                (Pavel Machek)
 * 6110 series updates
    o MakeCall() / IncomingCallInfo() restructured   (BORBELY Zoltan)
    o more MakeCall() / IncomingCallInfo() fixes     (BORBELY Zoltan)
 * 6510 series updates
    o added GetMemoryStatus (thanks to Michael Moosbauer for
      the info)                                        (Markus Plail)
 * 7110 series updates
    o added GetSMSnoValidate to 7110 code, to be able to read SMS
      faster if you know their location                (Markus Plail)
    o fixed folder handling in 7110 code -> all function expect
      GMT_?? as MemoryType                             (Markus Plail)
 * win32 updates:
    o Updates to make cygwin compile
      (./configure --enable-win32 --disable-shared --disable-nls)
                                                          (Pawel Kot)
    o misc fixes                                      (Marcin Wiacek)
    o Cygwin compilation error fixed                 (BORBELY Zoltan)
    o VC++ compability and minor fixes                (Feico de Boer)
 * Docs updates
    o More accurate INSTALL file               (Robert Steinhaeusser)
 * libsms updates
    o start documenting libsms. The source code is documented in
      the linux kernel manner, so you can use its tools   (Pawel Kot)
    o replace 'short' type with 'int' type                (Pawel Kot)
    o prepare to be able to compile libsms without bitmaps or
      ringtones support                                   (Pawel Kot)
    o Fix overflows when storing SMSC/remote number       (Pawel Kot)
    o Fix using bitmap types from different places (gsm-sms.h and
      gsm-bitmap.h                                     (Markus Plail)
 * Compability updates:
    o asprintf, vasprintf and C99 compliant snprintf and vsnprintf
      functions provided if not present              (BORBELY Zoltan)
    o portability cleanup in various functions       (BORBELY Zoltan)
    o strsep function provided if not present          (Markus Plail)
 * xgnokii updates
    o extended AddCall to accept text and phone number (Markus Plail)
    o added (De)Activate SMS reading in SMS window menu
                                                       (Markus Plail)
    o changed the default size of SMS windows          (Markus Plail)
    o speeded up reading contacts (skip locations after all
      contacts are read (according to memory status))  (Markus Plail)
    o hopefully fixed a bug when reading contacts from SIM
      failed (as reported by Michal Kochanowicz)       (Markus Plail)
    o decreased the time the splash screen is visible  (Markus Plail)
 * Cleanups
    o changed gnokii.c to use strsep instead of strtok (Markus Plail)
    o mark sending of ringtone as broken               (Pavel Machek)
    o Change from .gif to .png for documentation      (Hugh Blemings)
    o Fixed small typo in include/devices/linuxirda.h (Hugh Blemings)
    o Updates to address GNU GPL requirements             (Pawel Kot)
    o Replaces ugly ifs from gsm-bitmaps.c::GSM_IsPointBitmap()
      with a switch                                       (Pawel Kot)
 * SM_BlockNoRetryTimeout fixed                      (BORBELY Zoltan)
 * gnokiid updates:
    o datapump thread added                          (BORBELY Zoltan)
    o dialing error handled                          (BORBELY Zoltan)
    o polling fixes                                  (BORBELY Zoltan)
    o RLP frame handling fixed in fbus.c             (BORBELY Zoltan)
	
0.4.0pre16
==========
 * Killed inlines in the code (except xgnokii and smsd)   (Pawel Kot)
 * Fix incorrect LDFLAGS during configure run             (Pawel Kot)
 * More win32 updates                                 (Marcin Wiacek)
 * Cleanups with some header files, static functions and other
   things in links/* files                                (Pawel Kot)
 * Get rid of obsolete utils.[h|c]                        (Pawel Kot)
 * Moved linuxirda.h                                      (Pawel Kot)
 * Misc FBUS fixes                                   (BORBELY Zoltan)
 * 7110 series updates
    o correct Phonebook entries removal                (Markus Plail)
    o other Phonebook fixes                            (Markus Plail)
 * 6110 series fixes
    o IMEI correctly read                              (Markus Plail)
 * libsms updates
    o support for the remote number when receiving the message
                                                       (Markus Plail)
 * xgnokii updates
    o cleanups                                         (Markus Plail)
    o Phonebook got back to work                       (Markus Plail)
    o Calendar got back to work                        (Markus Plail)

0.4.0pre15
==========
 * Really apply all fixes from Jan Kratochvil             (Pawel Kot)
 * 6110 series updates
    o PressPhoneKey, ReleasePhoneKey implemented     (BORBELY Zoltan)
    o EnterChar implemented                          (BORBELY Zoltan)
    o workarounds for the phones (3210, 3310, ...) not supporting
    some types of the frames (0x64, keyboard events) that were
    required during the initialization                    (Pawel Kot)
    o added #ifdefs for every occurence of the security function
                                                          (Pawel Kot)
    o CallDivert implemented (registering does not work)
                                                     (BORBELY Zoltan)
    o fixes for receiving SMSCenter data -- accept every value
    for message value                                     (Pawel Kot)
    o EnterChar fixes                                (BORBELY Zoltan)
    o Key functions commented                        (BORBELY Zoltan)
    o possible SMS sending bug fixed                 (BORBELY Zoltan)
    o sleep hack removed from CallDivert             (BORBELY Zoltan)
 * gnokii updates
    o --keysequence updated to the new API           (BORBELY Zoltan)
    o --enterchar implemented                        (BORBELY Zoltan)
    o better handling of call divert responses            (Pawel Kot)
    o add option to send 8-bit SMS                     (Pavel Machek)
    o fix handling of overlong messages                (Pavel Machek)
 * Makefiles' fixes                                       (Pawel Kot)
 * Docs updates
    o copy-and-paste call diverts from 6110 protocol to 7110
    protocol description                                  (Pawel Kot)
    o remove some obsolete things                         (Pawel Kot)
 * Cleanup in the dumping code                            (Pawel Kot)
 * Other cleanups                                         (Pawel Kot)
 * Don't repeat everything ttwwiiccee if compiled with --enable-debug
                                                     (BORBELY Zoltan)
 * Don't return -1 in function returning unsigned short
                                                       (Pavel Machek)
 * Solaris updates
    o replace AF_LOCAL with AF_UNIX                (Marcus Pallinger)
 * allow to build static library                   (Marcus Pallinger)
 * xgnokii updates
    o fix folder name max length                          (Pawel Kot)
    o reindented code                                     (Pawel Kot)
    o keyboard handling fixed                        (BORBELY Zoltan)
 * libsms updates
    o fix folder name max length                          (Pawel Kot)
    o added DefaultSMS() function for initializing SMS struct
                                                          (Pawel Kot)
 * More general bitmaps handling -- remove fixed vaules   (Pawel Kot)
 * Do not use (...) in macros if not being compiled on gcc
                                                       (Pavel Machek)
 * Remove outdated functions from gsm-bitmaps and gsm-ringtones
                                                          (Pawel Kot)
 * 6510 series updates
    o initial revision                                 (Markus Plail)
 * 7110 series updates
    o potentially fix SendSMS problem                     (Pawel Kot)
 * win32 fixes                                        (Marcin Wiacek)
 * timersub fixes                                    (BORBELY Zoltan)

0.4.0pre14
==========
 * fixed a problem with a missing headers (sys/uio.h and error.h)
   for FreeBSD and probably other non-Linux         (Paulius Bulotas)
 * AT mode updates
    o better error reporting between link and phone layer
                                                    (Manfred Jonsson)
    o SMS center reading support                          (Petr Cech)
 * SMSD update
    o DB modules fixes, code and documetation cleanups
                                                       (Jan Derfinak)
 * new Serbian operator                            (Sladjan Andjelic)
 * 6110 series updates
    o DialVoice implemented                          (BORBELY Zoltan)
    o start to get DataCalls back alive              (Jan Kratochvil)
    o notifications of call placed on hold / call retrieved
      from hold documented                           (BORBELY Zoltan)
    o call specific messages added (eliminates unhandled frame
      messages)                                      (BORBELY Zoltan)
    o more call status codes added                   (BORBELY Zoltan)
    o RLP frame sending/receiveing implemented       (BORBELY Zoltan)
    o 'Accesories connected' message -- authentication code
      ported                                         (BORBELY Zoltan)
    o SetRingtone, GetRawRingtone, SetRawRingtone implemented
                                                     (BORBELY Zoltan)
    o GetSecurityCodeStatus, EnterSecurityCode, ChangeSecurityCode
                                                     (BORBELY Zoltan)
    o GOP_OnSMS, GOP_PollSMS added                   (BORBELY Zoltan)
    o GOP_SendDTMF added                             (BORBELY Zoltan)
    o GOP_Reset added                                (BORBELY Zoltan)
 * gnokii updates
    o DialVoice implemented                          (BORBELY Zoltan)
    o call status reporting improved                 (BORBELY Zoltan)
    o --getringtone implemented                      (BORBELY Zoltan)
    o --setringtone converted and enhanced           (BORBELY Zoltan)
    o --changesecuritycode added                     (BORBELY Zoltan)
    o password reading function generalized          (BORBELY Zoltan)
    o --senddtmf converted to the new API            (BORBELY Zoltan)
    o --reset converted to the new API               (BORBELY Zoltan)
    o GSM->GetIncomingCallNr removed from gnokii. This was obsoleted
    by the CallNotification.                         (BORBELY Zoltan)
 * compilation fixes                                 (Jan Kratochvil)
 * cleanups                                               (Pawel Kot)
 * the fd passed master pty wasn't usable (opening resulted EIO)
   -- fixes for the new mgnokiidev                   (BORBELY Zoltan)
 * gnokiid updates
    o converted to the new API                       (BORBELY Zoltan)
    o Debug output of the *_CallPassup functions     (BORBELY Zoltan)
 * libsms updates
    o moved some logic from 7110 driver     (Markus Plail, Pawel Kot)
    o new functionality in the interface for detecting changes
      in the folders/messages status                   (Markus Plail)
 * xgnokii updates
    o SMS support with smart checking for any folder/messages
      changes:                                         (Markus Plail)
        + User moves messages manually -> done
        + User reads unread messages in phone -> done
        + Newly received messages -> done
        + User deletes messages -> done
        + Delivery Reports change from Pending to whatever -> not done
        + Marking messages read upon clicking -> not done
 * Docs updated
    o more detailes on 6110 protocol                 (BORBELY Zoltan)
 * FBUS acking moved before the SM_IncomingFunction invocation
                                                     (BORBELY Zoltan)
 * SM_BlockTimeout, SM_BlockNoRetryTimeout added     (BORBELY Zoltan)

0.4.0pre13
==========
 * SECURITY FIX
    o When installed as gnokii documentation says (sgid gnokii),
      mgnokiidev could give write permission for the group to any
      file in the system. Mgnokidev was rewritten. Now that is
      mgnokiidev who opens pty device and it just passes back
      the descriptor to the caller through a unix socket
                                          (BORBELY Zoltan, Pawel Kot)
 * 7110 series updates
    o NetMonitor implemented                                    (???)
    o cleanups                              (Markus Plail, Pawel Kot)
    o fixes for calendar info handling                 (Markus Plail)
    o correctly count length of the model name and the revision
                                                          (Pawel Kot)
 * gnokii.c updates
    o NetMonitor updated to the new structure                   (???)
    o remove unnessesary entries from gals[]   (Marek Michalkiewicz,
                                                Sindunata, Pawel Kot)
 * remove obsolete IR-Dongles patches                     (Pawel Kot)
 * wrong order of arguments to memset() in libsms fixed   (Pawel Kot)
 * xgnokii updates
    o NetMonitor updated to the new structure             (Pawel Kot)
    o working SMS support                   (Markus Plail, Pawel Kot)
    o working logos stuff                              (Markus Plail)
    o some cleanups                         (Markus Plail, Pawel Kot)
    o correct initialization - fbusinit() returns GSM_Error now
                                                          (Pawel Kot)
    o fixes in getting to the new structure (Markus Plail, Pawel Kot)
 * docs updates
    o real TODO                                           (Pawel Kot)
    o show gnokii-binary target in configure              (Pawel Kot)
    o update INSTALL detailes                             (Pawel Kot)
 * UserData length in SendSMS fix                         (Pawel Kot)
 * AT series updates
    o allow connection=irda                         (Manfred Jonsson)
    o don't ignore return messages                  (Manfred Jonsson)
    o set the power on dtr and rts                  (Manfred Jonsson)
    o SendSMS/SaveSMS fixes                           (Hannes Schulz)
 * SMSD updates
    o MySQL support fixes                              (Jan Derfinak)
 * Allow Nokia 8210 and 8310 to use irda connection       (Pawel Kot)
 * "make 7110 with dlr-3 happy"                     (Manfred Jonsson)
 * CREDITS updates                                        (Pawel Kot)
 * 6110 series updates
    o NetMonitor                                     (BORBELY Zoltan)
    o get rid of the 7110ism                         (BORBELY Zoltan)
    o revert removal of GetIMEI it *IS* needed            (Pawel Kot)
 * Get rid of LinkOKs                               (Manfred Jonsson)

0.4.0pre12
==========
 * 7110 series updates
    o fix delivery report bugs -- incorrect field was treated
      as a failure reason/success indcation               (Pawel Kot)
    o fix segfault when phone notified us of the incoming
      SMS (allocate/deallocate RawData)                   (Pawel Kot)
 * 6110 series updates
    o fix delivery report incorrect remoten number field  (Pawel Kot)
    o implement DeleteSMS                                 (Pawel Kot)
    o implemented SaveSMS and SendSMS                (BORBELY Zoltan)
    o support for Cell broadcasts             	     (BORBELY Zoltan)
 * 2110 series updates
    o SMS unreservation for OnSMS                      (Pavel Machek)
 * libsms updates
    o correctly allocate/free RawData     (BORBELY Zoltan, Pawel Kot)
    o typo fix in gsm-sms.h                          (BORBELY Zoltan)
    o impelemented SaveSMS                           (BORBELY Zoltan)
    o minor SendSMS fixes                            (BORBELY Zoltan)
    o memory corruption bug fixed in gsm-sms.c!!! (check for the
      validity field in layout                       (BORBELY Zoltan)
    o EncodePDUSMS fix in gsm-sms.c (error code and normal
      execution couldn't be distinguished)           (BORBELY Zoltan)
 * gnokii.c updates
    o fix segfault in smsreader() when /tmp/sms does not exist
                                                          (Pawel Kot)
    o respect use_locking = no           (Manfred Jonsson, Sindunata)
 * fixes for serial device locking                  (Manfred Jonsson)
 * statemachine updates
    o support for GE_UNSOLICITED               	     (BORBELY Zoltan)
 * AT series updates
    o 'quirk' fixes                  		    (Manfred Jonsson)
 * SMSD updated
    o experimental MySQL support                       (Jan Derfinak)

0.4.0pre11
==========
 * CREDITS updates :-)                                    (Pawel Kot)
 * Solaris compilation fixes              (Janusz Fraczek, Pawel Kot)
 * 7110 series updates
    o smsreader fixes                                     (Pawel Kot)
 * 6110 series updates
    o GetSMSCenter and SetSMSCenter                  (BORBELY Zoltan)
 * gnokii.c updates
    o fixes for getsmsc                              (BORBELY Zoltan)
    o new setsmsc                                    (BORBELY Zoltan)
    o handle the case when use_lockfile is not present in the
      config file                                         (Pawel Kot)
 * DefaultName in SMSC struct                        (BORBELY Zoltan)

0.4.0pre10
==========
 * AT series updates
    o sending SMS                                         (Pawel Kot)
 * 7110 series updates
    o SMS status                                          (Pawel Kot)
    o documentation on SMS status                         (Pawel Kot)
    o smsreader                                           (Pawel Kot)
 * better dumping unhandled frames                   (BORBELY Zoltan)
 * 6110 series updates
    o [S|G]etSpeedDial                               (BORBELY Zoltan)
    o display status, display output                 (BORBELY Zoltan)
    o 3330 protocol update (Settings/Profiles)     (Harri Yli-Torkko)
 * gnokii.c updates
    o more general displayoutput                     (BORBELY Zoltan)
    o smsreader fixes                                  (Pavel Machek)
    o use of serial device locking                        (Pawel Kot)
 * install-docs bux fixed                                 (Pawel Kot)
 * gnokii-debug compilation targes                     (Pavel Machek)
 * 2110 series updates
    o 2110 initialization cleanups                     (Pavel Machek)
    o fixes for smsreader                              (Pavel Machek)
 * locking serial device in /var/lock with a new configuration
   option                                                 (Pawel Kot)
 * Big Cleanups(TM). Code review.
    o get rid of GSM_Functions                            (Pawel Kot)
    o indentation                                         (Pawel Kot)
    o remove redundant trailing whitespaces               (Pawel Kot)
    o fix potentially dangerous strcpy in gnokii.c        (Pawel Kot)
 * New sample chat file for HSCSD connection      (Przemek Swiderski)
 * SMSD update                                         (Jan Derfinak)

0.4.0pre9
=========
 * libsms updates
    o sending SMS in AT mode                              (Pawel Kot)
    o fixes for 3110 and 2110 reading                     (Pawel Kot)
 * 6110 series updates
    o GetBitmap, SetBitmap                           (BORBELY Zoltan)
    o GetProfile, SetProfile                         (BORBELY Zoltan)
    o date, alarm                                    (BORBELY Zoltan)
    o calendar                                       (BORBELY Zoltan)
 * 3110 fixes for getsms                               (Tamas Bondar)
 * SMSD update                                         (Jan Derfinak)
 * bugfixes in gnokii.c and 7110 support (namely writephonebook)
                                                        (misc people)
 * docs updates                                     (Manfred Jonsson)
 * dumpling unhandled frames                         (BORBELY Zoltan)
